x2goserver (4.1.0.3-0x2go1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream version (4.1.0.3)
    - x2goserver.service: Add Documentation= key.
    - x2goserver/lib/x2gocheckport: chmod a+x.
    - New bin:pkg: x2goserver-desktopsharing. Move all desktop sharing
      integration logic from x2godesktopsharing to x2goserver src:pkg.
    - Don't rely on "ln -sf" to remove a symlink before recreating it. If the
      target is non-writable, this may fail (observed on a Debian stretch
      system). Thus, removing the symlink file first and then recreating it.
    - Massive white-space cleanup (at EOLs).
    - x2goserver/bin/x2goruncommand: Support IceWM as desktop session type.
  * debian/x2goserver*.dirs:
    + Let dirs have a trailing slash in their path (for the human eye merely).
  * debian/copyright:
    + Regenerate auto-generated copyright.in file.
    + Adopt from recent Debian packaging.
    + Add x2goserver.spec.
  * debian/control:
    + Move xfonts-base from D to R. Thanks lintian.
    + Move C (x2goserver) with versioned x2godesktopsharing, to B.
    + Don't depend on essential package without version. Drop bash from D.
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Mention "client side printing support" also in descr of bin:pkg
      x2goserver-common.
  * debian/*.postinst:
    + Avoid recursive chmod/chown. Recursive chown/chmod is susceptible to
      hardlink attacks on mainline, non-Debian kernels.
  * debian/x2goserver.postinst:
    + Load debconf module, even if not used (Debian Policy demand).
  * debian/*.templates:
    + Move x2goserver and x2goserver-desktopsharing templates into separate
      files.
  * debian/po:
    + Add French translation. Thanks to Jean-Pierre Giraud from the Debian
      project. (Closes DBTS:#905931).
  * lintian:
    + Drop unused debian/x2goserver-printing.lintian-overrides.
  * debian/*: White-space cleanup.
  * x2goserver.spec:
    + Mention "client side printing support" in all pkg descriptions.
    + Regression fix: Use "desktopsharing" package name above its description,
      not copy+pasted "extensions".
    + Regression fix: Make /etc/x2go/desktopsharing be owned by x2goserver-
      desktopsharing.
    + Exclude x2go*-desktopsharing scripts and man page in %files x2goserver.

  [ Mihai Moldovan ]
  * New upstream version (4.1.0.3):
    - x2goserver/lib/x2gocheckport: remove executable flag. This file is STILL
      not meant to be executed directly.
    - libx2go-server-db-perl/Makefile: make sure our {C,LD}FLAGS are always
      appended to the user-provided ones.
    - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: replace
      historical "egrep" with "grep -E".
    - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: don't use
      negative exit codes.
    - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: more curly
      braces, quotes etc.
    - x2goserver-extensions/bin/x2goserver-run-extensions: replace historical
      "egrep" with "grep -E".
    - x2goserver-extensions/bin/x2goserver-run-extensions: don't use negative
      exit codes.
    - x2goserver-extensions/bin/x2goserver-run-extensions: more curly braces,
      quotes etc.
    - x2goserver/bin/x2gofeaturelist: replace historical "egrep" with "grep
      -E".
    - x2goserver/bin/x2gofeaturelist: more curly braces, quotes etc.
    - x2goserver/bin/x2goruncommand: replace historical "egrep" with "grep
      -E".
    - x2goserver/bin/x2goversion: replace historical "egrep" with "grep -E".
    - x2goserver/bin/x2goversion: more curly braces, quotes etc.
    - x2goserver/bin/x2gostartagent: use single quotes instead of double
      quotes for literal strings.
    - x2goserver-x2goagent/etc/x2goagent.options: re-enable BIG-REQUESTS;
      newer nx-libs versions (3.5.99.17+) should handle this much better.
      Fixes: #1325. Fixes: #1321.
    - misc: copyright updates, but for contributors who haven't been active or
      requested not to be bumped.
    - misc: switch to HTTPS-based URLs where appropriate.
    - misc: update Oleksandr's email address.
    - misc manpages: pre-release date update.
    - libx2go-server-db-perl/src/libx2go-server-db-sqlite3-wrapper.c: revamp
      wrapper, alike to what was done in x2gobroker.
  * x2goserver.spec:
    + Pull in openSUSE-release manually on OpenSuSE Tumbleweed to work around
      a bug.
    + Also pass %{__global_{c{,pp},ld}flags} down via {C,LD}FLAGS.
    + Bump nxagent dependency up to 3.5.99.17+.
  * debian/x2goserver-desktopsharing.postinst:
    + More curly braces, quotes etc.
  * debian/x2goserver-desktopsharing.config:
    + More curly braces, quotes etc.
  * debian/x2goserver-desktopsharing.postrm:
    + More curly braces, quotes etc.
  * debian/libx2go-server-db-perl.postinst:
    + Replace historical "egrep" with "grep -E".
  * debian/x2goserver.config:
    + Replace historical "egrep" with "grep -E".
    + More curly braces, quotes etc.
  * debian/control:
    + Bump nxagent dependency up to 3.5.99.17+.
  * debian/copyright{,.in}:
    + Merge copyright entries.
    + Fix links to our wiki and update to HTTPS.

  [ Orion Poplawski ]
  * New upstream version (4.1.0.3):
    - x2goserver{/bin/x2gostartagent,-x2goagent/etc/x2goagent.options}: allow
      setting nxagent nx/nx options on the server via x2goagent.options.
      Fixes: #1322.

 -- X2Go Release Manager <git-admin@x2go.org>  Thu, 29 Nov 2018 05:55:21 +0100

x2goserver (4.1.0.2-0x2go1) unstable; urgency=medium

  [ Mihai Moldovan ]
  * New upstream version (4.1.0.2):
    - Makefile.PL: update version number.
    - x2goserver-xsession/Makefile: consolidate a few entries.
    - x2goserver-xsession/Makefile: also remove Xresource*, Xsession*, xinit*
      and Xclient* config files.
    - *.{8,5}: pre-release date update.
  * debian/rules:
    + Add support for perl/perl:any substitution variable based upon detected
      OS version.
  * debian/control:
    + Use dist-substitution variable instead of hardcoding perl:any.
    + Add build dependency on x11-common for /etc/X11/Xsession* to be
      available in the build environment and the symlinks to be created
      correctly.
    + Add Pre-Depends on specific minimum dpkg version to x2goserver-xsession,
      needed for ${DPKG_RUNNING_VERSION} support.
  * debian/:
    + Add x2goserver-xsession.{preinst,post{inst,rm}} scriptlets to handle
      Xsession.d breakage cleanup correctly. Note that we can rely on
      dpkg-maintscript-helper's dir_to_symlink support only if the version is
      high enough, which is not the case on older Debian and Ubuntu platforms.
      While on Debian, that's only Wheezy and lower and we don't care about
      these versions anyway, Ubuntu Trusty/14.04 is sadly still supported and
      needs to be provided a proper workaround for now.
  * debian/x2goserver-xsession.post{inst,rm}:
    + Fix syntax errors.

 -- X2Go Release Manager <git-admin@x2go.org>  Wed, 01 Aug 2018 01:55:58 +0200

x2goserver (4.1.0.1-0x2go1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release (4.1.0.1):
    - x2goserver/man/man8/x2gostartagent.8: Fix grammar flaw reported by
      Debian's lintian tool.
    - x2goserver/man/man8/x2goresume-session.8: Fix grammar flaw reported by
      Debian's lintian tool.
    - x2goserver-x2goagent/bin/x2goagent: Fix license version (GPL-2+ not 3+).
      This script however is obsolete and should be replaced by a symlink to
      $BINDIR/nxagent.
    - Makefile.docupload: Switch license to GPL-2+.
    - x2gocheckport: chmod a+x.
    - x2goserver*/: license header hygene. List all copyright holder above the
      short form license. This prevents the licensecheck utility from being
      fooled.
    - X2Go: more license header hygene.
    - libx2go-server-db-perl: more license header hygene.
    - X2Go Agent XPM: Rename from x2go.xpm to x2goagent.xpm.
    - X2Go XPM icon: white background, not transparent.
  * debian/control:
    + Change D (x2goserver-xsession) on perl-modules to perl. The existence of
      the perl-modules package is an implementation detail of the Debian Perl
      packaging.
    + Multiarch hinter script recommends annotating perl dependency with :any.
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/copyright:
    + Update copyright.in reference template.
  * debian/*: Process with wrap-and-sort -a -s -t -k -b.
  * debian/x2goserver-printing.postinst:
    + Make sure /var/spool/x2goprint is always created.
  * debian/rules:
    + Add dh-missing --fail-missing override.
  * debian/*.{install,manpages}:
    + Utilize install target rather than picking all files from the source
      tree ourselves.
  * debian/:
    + Drop inert file (due to wrong file suffix): debian/x2goserver.link.
    + Drop x2goserver-xsession.links. Symlinking provided by main Makefile's
      install target.
  * debian/x2goserver.postinst:
    + When testing for existence of /etc/x2go/applications, also consider it
      being a dangling symlink (dangling symlinks are not caught by 'test -e',
      but need a 'test -L'. Thanks to Andreas Beckmann for helping with this.
      (Closes: DBTS#904515).
      Backported from a Debian patch.
  * debian/x2goserver-printing.postrm:
    + Remove x2goprint's spool dir on purgal.
  * debian/x2goserver-common.postrm:
    + Properly purge /etc/x2go and /var/lib/x2go.

  [ Mihai Moldovan ]
  * New upstream version (4.1.0.1):
    - Makefile.PL: adjust embedded version number.
    - x2goserver/lib/x2gocheckport: remove executable flag. This file is not
      meant to be executed directly, but rather sourced by other X2Go shell
      scripts.
    - x2goserver-x2goagent/Makefile: do not stage rgb file any longer.
      Obsoleted, is now hardcoded into nxagent directly.
    - x2goserver-x2goagent/etc: remove rgb file.
    - x2goserver-fmbindings/Makefile: install
      share/mime/packages/sshfs-x2go.xml as a plain file, not an executable.
    - x2goserver-x2goagent/share/x2go/x2gofeature.d/x2goserver-x2goagent*:
      make executable.
    - x2goserver-x2goagent/Makefile: replace ${PREFIX}/bin/x2goagent wrapper
      script with a symlink to the ... x2goagent symlink in the NXLIBDIR.
    - x2goserver-x2goagent/bin: remove x2goagent wrapper script. Unneeded and
      actually harmful nowadays.
    - x2goserver-x2goagent/bin: add .keep file to keep this directory around.
    - x2goserver-x2goagent/Makefile: it's $(NXLIBDIR), not $(NX_LIBDIR).
    - x2goserver-x2goagent/Makefile: add missing bin component in symlink
      target for ${PREFIX}/bin/x2goagent.
    - x2goserver-common/Makefile: stage tmpfiles.d config file into
      ${PREFIX}/lib/. File should not be modified by users.
    - x2goserver-common/: move etc/tmpfiles.d to lib/tmpfiles.d.
    - x2goserver/sbin/x2godbadmin: whitespace only.
    - x2goserver/sbin/x2godbadmin: use global variable instead of hardcoded
      string (since the global variable is used latter on anyway).
    - X2Go/Server/DB.pm: add high-level MySQL/MariaDB support. References the
      X2Go::Server::DB::MySQL module (and functions/subroutines in there)
      which currently does not yet exist.
    - x2goserver/sbin/x2godbadmin: wrap PostgreSQL code in own block, should
      not have any functional impact.
    - {X2Go/Server/DB/PostgreSQL.pm,x2goserver/sbin/x2godbadmin}: move
      /etc/x2go/x2gosql/passwords/x2goadmin or ${HOME}/.x2go/sqlpass to
      .../x2gopgadmin and .../pgsqlpass respectively. Move is done at
      run-time, so no user interaction should be required. It requires one
      database operation to be carried out first in order to trigger the move,
      but x2godbadmin does not actually use that account information (only
      generates it), so we should be in the clear.
    - x2goserver/sbin/x2godbadmin: generate more secure user-level database
      passwords.
    - x2goserver/sbin/x2godbadmin: split out subroutines into main namespace,
      call them generically with correct parameters from specialized
      namespace.
    - x2goserver/sbin/x2godbadmin: remove potentially confusing whitespace.
    - x2goserver/sbin/x2godbadmin: fix up other try blocks; whitespace only.
    - x2goserver/sbin/x2godbadmin: implement MySQL support, based on Walid
      Moghrabis changes, but slightly amended. Caveat: INCOMPATIBLE DATABASE
      SCHEMA!
    - x2goserver/sbin/x2godbadmin: update copyright header.
    - UNINSTALL: add reference to remove mysqladmin password file if
      uninstalling the tarball manually.
    - x2goserver/sbin/x2godbadmin: no need to specify or use database for
      list_users operation.
    - X2Go/Server/DB/PostgreSQL.pm: fix syntax error.
    - x2goserver/sbin/x2godbadmin: don't use prototypes when functions
      actually take arguments.
    - X2Go/Server/DB: add new file MySQL.pm, implementing the MySQL session
      storage backend. Based on original code by Walid Moghrabi, but modified.
      Will fail to execute correctly, so do not use yet.
    - X2Go/Server/DB/MySQL.pm: copy over some (modified) functions and use
      them for validating session IDs, check user names at some places and the
      like, which will come in handy at a later point.
    - x2goserver/sbin/x2godbadmin: whitespace-only change.
    - X2Go/Server/DB/MySQL.pm: move into new X2Go_in_progress_do_not_use
      top-level directory.
    - x2goserver/sbin/x2godbadmin: error out when encountering MySQL server
      config for now.
    - X2Go/Server/DB.pm: error out when encountering MySQL server config for
      now.
    - x2goserver-common/etc/x2gosql/sql: add example MySQL section and add to
      "supported" backends list.
    - x2goserver-common/etc/x2gosql/sql: reformat PostgreSQL comments.
    - X2Go/Server/DB.pm: don't use X2Go::Server::DB::MySQL for now.
    - X2Go/Server/DB.pm: comment out calls to X2Go::Server::DB::MySQL::*.
    - x2goserver-x2goagent/etc/x2goagent.options: typo fix in comment only.
    - x2goserver-x2goagent/etc/x2goagent.options: disable BIG-REQUESTS; leads
      to a lot of weird crashes and is currently not implemented correctly in
      nxagent. Fixes: #1266.
    - x2goserver/bin/x2gostartagent: fix calculation syntax errors, drop
      useless subshells, don't use -o operator in plain test calls.
    - x2goserver-printing/bin/x2goprint: work around atomicity problems with
      newer FUSE versions, create .ready file as .notready, move/copy to
      target file system and only then rename it in a hopefully atomic
      fashion.
    - *.{8,5}: pre-release date update.
  * debian/{control,compat}:
    + Bump DH compat level to 9.
  * debian/:
    + Rename config to x2goserver.config.
    + Remove obsolete x2goserver-{extensions,printing,xsession}.dirs files,
      should be correctly handled via the main Makefile and staging by
      *.install files.
    + Remove obsolete x2goserver-fmbindings.dirs file.
    + Rename x2goserver.dirs to x2goserver-common.dirs, moving /var/lib/x2go
      to the -common package.
    + New file x2goserver-printing.dirs: own /var/spool/x2goprint.
  * debian/x2goserver-x2goagent.install:
    + Do not install rgb file/symlink any longer.
  * x2goserver.spec:
    + Do not install rgb file/symlink any longer.
    + Bump nxagent requirement to 3.5.99.5+.
    + Remove stale symlinks check workaround now that we pull in nxagent >=
      3.5.99.0 by default.
    + Move references from etc/tmpfiles.d to %{_prefix}/lib/tmpfiles.d.
    + Depend upon perl(DBD::mysql) for MySQL/MariaDB support in perl DBD.
    + Comment out perl(DBD::mysql) dependency for now.
    + Backport dangling symlink check for /etc/x2go/applications.
    + Pull in GCC as a build dependency.
    + Mask out variables in comments to avoid build-time warning messages.
    + Work around build failure on Fedora Rawhide/29+ by pulling annobin in
      explicitly. Shouldn't be necessary, but the current architecture around
      redhat-rpm-config requires that.
  * debian/copyright.in:
    + Remove reference to rgb file.
    + Remove reference to x2goagent wrapper script.
    + Add .keep file in x2goserver-x2goagent/bin directory.
    + Change reference from x2goserver-common/etc/tmpfiles.d to
      x2goserver-common/lib/tmpfiles.d.
  * debian/x2goserver.dirs:
    + Remove etc/x2go/x2gosql references, already handled by
      x2goserver-common.
    + Remove all other obsolete entries that should be handled by the main
      Makefile and x2goserver.install staging.
  * debian/control:
    + Bump versioned dependency upon nxagent for x2goserver-x2goagent to the
      first version that hardcoded the RGB file into nxagent.
    + Pre-Depend on new enough dpkg for the dpkg-maintscript-helper to be
      available.
    + Change http to https links.
    + Pull in other changes from Debian downstream.
    + Depend upon libdbd-mysql-perl for MySQL/MariaDB support in perl DBD.
    + Deactivate libdbd-mysql-perl dependency for now, but keep as comment.
  * debian/x2goserver-x2goagent.{{pre,post}inst,postrm}:
    + Handle /etc/x2go/rgb conffile removal gracefully.
  * debian/x2goserver*{pre,post}*:
    + Rework scriptlets, use updated templates, add missing templates, more
      and better quoting, fix other misc. errors within the scripts.
  * debian/rules:
    + Enable hardening and automatic passing of *FLAGS.
  * debian/x2goserver-xsession.lintian-overrides:
    + Whitespace/EOL change only.
  * debian/*.manpages:
    + Prepend paths with debian/tmp/ in order to work around pre-compat-11
      levels not falling back to looking into debian/tmp/ for files.
  * debian/x2goserver.{install,manpages}:
    + Also install x2goumount_* symlinks.
  * debian/x2goserver-common.install:
    + Move etc/tmpfiles.d entry to usr/lib/tmpfiles.d.
  * debian/x2goserver-x2goagent.{{pre,post}inst,postrm}:
    + Handle /etc/tmpfiles.d/x2goserver.conf conffile (re-)move to
      /usr/lib/tmpfiles.d/ gracefully.
  * debian/libx2go-server-db-perl.post{inst,rm}:
    + Add support for mysqladmin password file.
  * debian/{libx2go-server-db-perl,x2goserver{,-common}}.postrm:
    + Do not try to run rmdir on /etc/x2go if it doesn't exist. Makes the
      scriptlet (and thus the purge operation) fail...
  * debian/*.{pre,post}*:
    + Rework scriptlets, use updated templates, add missing templates, more
      and better quoting, fix other misc. errors within the scripts.
  * debian/libx2go-server-db-perl.postrm:
    + Remove empty directory on purge if possible.
    + Only remove files that the package actually created.
  * debian/x2goserver-common.postrm:
    + Only remove files that the package actually owns
      (/etc/x2go/x2gosql/sql).

 -- X2Go Release Manager <git-admin@x2go.org>  Fri, 27 Jul 2018 06:46:00 +0200

x2goserver (4.1.0.0-0x2go1.2) unstable; urgency=low

  [ Mike Gabriel ]
  * Bump development upstream version to 4.1.0.0.
  * New upstream version (4.1.0.0):
    - Transform x2gologlevel.pm into proper Perl module X2Go::Log.
    - Transform x2godbwrapper.pm into proper Perl module X2Go::Server::DB.
    - Transform x2gosqlitewrapper.pl into small wrapper script and move the
      SQLite3 into Perl package X2Go::Server::DB::SQLite3.
    - Move x2gosqlitewrapper into Perl package X2Go::Server::DB::SQLite3.
    - Move PostgreSQL DB code into Perl package X2Go::Server::DB::PostgreSQL.
    - Move X2Go SQL configuration files (/etc/x2go/x2gosql) into package
      libx2go-server-db-perl.
    - Install /etc/x2go/x2go_logout with its directory x2go_logout.d via
      Makefile installation.
    - Fix new SQLite3 wrapper for db_getmounts Perl call.
    - Fix list output in new SQLite3 wrapper.
    - Make session type label XFCE a valid session that starts xfce4-session.
    - Fix failures of x2gogetagent that was related to faulty regexp in
      SQLite3 DB wrapper script.
    - Add X2Go Server feature X2GO_LIST_SHADOWSESSIONS.
    - Break execution of x2gosuspend-session / x2goterminate-session if the
      script is called without session as first argument and $X2GO_SESSION
      not set. (Fixes: #82).
    - Make x2goruncommand aware of the Cinnamon desktop shell. (Fixes: #117).
    - Fix build-arch target in x2goserver/Makefile. (Fixes: #121).
    - Load config files from a Perl package (X2Go::Config).
    - Disable SupeReNicer by default.
    - Fix session handling for cross-user-account desktop sharing. Now session
      names of desktop sharing session start with the username of the user who
      is requesting the desktop sharing, rather than the username of the person
      who shares his/her desktop.
    - Do not superenice desktop sharing / shadow sessions.
    - Drop obsolete components x2goserver-compat, x2goserver-pyhoca.
    - Makefile: pre-set the PERL_INSTALLDIRS var with ,,vendor''. Use
      pure_install rather than install.
    - Avoid one argument system calls in x2golistshadowsessions.
    - Provide Perl functions to capture stdout/stderr with multi-argument system
      calls.
    - Avoid one argument system calls and backticks in SupeReNicer.
    - Handle situations in SupeReNicer where the agent PID is not set.
    - Start working on an abstraction layer (as Perl
      package X2Go::Server::Agent) that handles all (NX) agent specific actions.
      Move duplicate code into that new Perl package.
    - Security audit of complete code tree, avoid one-argument system calls
      where possible, avoid backticks, use more quotes in shell scripts.
    - Add tunneling port allocation for TeleKinesis framework.
    - Only use teki_* fields with PostgreSQL DB backend if TeKi is enabled.
    - Provide --updatedb feature in x2godbadmin if DB backend is PostgreSQL.
    - Execute post-start.d extension scripts _after_ the session information has
      been submitted to the session DB. This allows execution of
      x2golistsessions and other X2Go commands in post-start.d extension
      scripts.
    - Re-arrange parameter order of x2gocreatesession and related DB functions.
      Make sure the session ID comes first and we have only optional parameters
      towards the end of the parameter array.
    - Fix accessing ARGV in X2Go::Utils:check_x2go_sessionid sub. (Fixes:
      #575).
    - Fix TeKi storing Telekinesis ports in PgSQL-based session DB. Allow
      negative
      port numbers for the case that Telekinesis is not installed.
    - Fix db_insertmount (SQLite). Pathnames must not be enclosed by
      parentheses.
    - Make sure to return "1" in X2Go::Server::DB Perl functions that don't
      return anything by default.
    - Make it possible to change the state of shadow sessions.
    - Provide --debug option for x2gocleansession that allows running
      x2gocleansessions in foreground (and in debug mode).
    - Properly clean up shadow sessions for the session database.
    - Move x2goagent wrapper package around nxagent into X2Go Server.
      (Fixes: #1047).
    - Update execution logic of the x2goagent wrapper script. The script now
      sets the env var $NXAPP and then calls the nxagent wrapper script. For
      this to work properly, the x2goagent symlinks has to be placed into
      directory where the nxagent executable is installed ($LIBDIR/nx/bin/,
      normally).
    - Revisit packaging for latest change in x2goserver-x2goagent. Don't inject
      $(LIBDIR) rather than injecting $(NXLIBDIR) via debian/rules and
      x2goserver.spec.
    - x2goagent wrapper script: Use exec command to launch nxagent. Put "$@" in
      quotes.
  * debian/control:
    + Package X2Go::Log in separate package: libx2go-log-perl.
    + Package X2Go::Server::DB in separate package: libx2go-server-db-perl.
    + x2goserver package: Depend on libx2go-log-perl, libx2go-server-db-perl.
    + Move x2goserver.conf into separate package: x2goserver-common.
    + Use Breaks/Replaces to exchange x2goserver.conf in x2goserver package by
      x2goserver.conf in new x2goserver-common package.
    + Move several x2goserver-* package to x2goserver's Recommends field.
    + Add Reinhard Tartler to Uploaders.
    + Add libcatpure-tiny-perl to Depends: field of libx2go-server-perl.
    + Move x2gosql config to x2goserver-common.
    + Several style and dependency fixes. Use Conflicts: instead of Breaks:
      for unversioned package conflicts.
    + Test if telekinesis-server is installed server-side. If so,
      prepare the telekinesis session sub-directory.
    + Add D (bin:package libx2go-server-db-perl): libswitch-perl.
    + Fix B/R for x2goserver-x2goagent. We need to break/replace x2goagent
      (<< 3.5.99.2~).
    + Nooo... we need to break/replace x2goagent (<< 2:3.5.99.2~).
  * debian/x2goserver.postinst, debian/libx2go-server-db-perl:
    + Handle X2Go session DB creation in x2goserver _and_
      perl-X2Go-Server-DB on postinst.
    - Make sure X2Go session DB files get updated during postinst.
  * debian/libx2go-server-db-perl installation scripts:
    + Remove dpkg-statoverride during remove on prerm, not on purge in postrm.
  * debian/x2goserver.init:
    + Rely on $PATH when invoking x2gocleansessions.
  * debian/x2goserver.service:
    + Provide systemd service file.
  * Move code in pre/post+inst/rm scripts around (from x2goserver package
    to libx2go-server-db-perl and x2goserver-common).
  * debian/copyright:
    + Provide DEP-5 compliant copyright file.
    + Add copyright.in auto-generated file (by licensecheck+CDBS) for later
      reference.
  * debian/x2goserver-x2goagent:
    + Make sure the .features file for x2goserver-x2goagent ends up in its
      bin:pkg.
  * x2goserver.spec:
    + Bring debian/control and x2goclient.spec in sync.
    + Make sure x2godbadmin is evoked from package x2goserver.
    + Handle X2Go session DB creation in x2goserver _and_
      perl-X2Go-Server-DB on postinst.
    + Set buildroot if we build for EPEL-5.
    + Use deprecated %{_initrddir} macro for EPEL-5 builds.
    + Take advantage of native RHEL support (since 4.0.1.10).
    + Install SQLite3 wrapper as setgid x2gouser. (Fixes: 371).
    + Assure that SQLite3 session DB file gets created on install (unless
      PostgreSQL is used as session DB backend).
    + Make sure x2goserver-*.features files do not get installed
      multiple times into various packages.
    + Make sure X2Go Server (x2gocleansessions) starts after installation.
    + Make sure X2Go session DB files get updated during postinst.
    + Require Perl(Switch) (bin:package x2goserver).
    + Don't fail in %post during X2Go session DB creation.
    + Fix call of x2godbadmin --updatedb during package upgrade.
    + Hand over %{_prefix}/%{_libdir}/nx as $NXLIBDIR to x2goserver's Makefiles.
      Required for x2goagent symlink to be properly installed into the same
      folder where the nxagent executable gets installed.
    + Also hand over %{_prefix}/%{_libdir}/nx as $NXLIBDIR when executing make
      install.
    + Add B-R: nxagent. Needed for %{_prefix}/%{_libdir}/nx/bin to be owned.

  [ Guangzhou Nianguan Electronics Technology Co.Ltd. ]
  * New upstream version (4.1.0.0):
    - Add SupeReNicer support.
    - Provide string sanitizers. Esp. a sanitizer for X2Go session IDs.

  [ Otto Kjell ]
  * New upstream version (4.1.0.0):
    - Add markdown files for most of the X2Go Server project folders. (Fixes:
      #102).
    - Fix "server" command line option for x2golistsessions call in
      x2golistdesktops.

  [ Orion Poplawski ]
  * New upstream version (4.1.0.0):
    - Use new script x2gopath in Perl::API. (Fixes: #86).
  * x2goserver.spec:
    - Fix NXLIBDIR path to use %{_libdir} directly.

  [ Oleksandr Shneyder ]
  * New upstream version (4.1.0.0):
    - Fix x2godbadmin. Set right column name "tekidata_port" in create table.
      (Fixes: #557).
    - Unset LD_LIBRARY_PATH for the case when x2gostartagent started from x2godesktopsharing.

  [ Mark Pederson-Cook ]
  * debian/po:
    + Translate DebConf templates to Danish.

  [ Kaan Ozdincer ]
  * debian/po:
    + Translate DebConf templates to Turkish.

  [ Mihai Moldovan ]
  * New upstream version (4.1.0.0):
    - x2goserver/sbin/x2gocleansessions: add timestamp to debug output.
    - x2goserver/sbin/x2gocleansessions: also (correctly) log to syslog if
      started with --debug parameter.
    - libx2go-server-db-perl/lib/libx2go-server-db-sqlite3-wrapper.pl: don't
      use deprecated defined (@array) construct which never really did what one
      would expect (defined () can only be used on scalar values.)
    - x2goserver/bin/x2gofeaturelist: whitespace only.
    - x2goserver-x2goagent/: rename share/x2go/rgb back to etc/rgb.
    - x2goserver-x2goagent/Makefile: install etc/rgb as in
      ${SYSCONFDIR}/x2go/rgb again and create a symlink from that to
      ${DATADIR}/x2go/rgb.
    - x2goserver-x2goagent/Makefile: fix left-over reference to
      share/x2go/rgb. It's back to etc/rgb now.
    - x2goserver-x2goagent/share/x2go/x2gofeature.d/: rename
      x2goserver-agent.features to x2goserver-x2goagent.features.
    - x2goserver/sbin/x2gocleansessions: add -d short parameter for enabling
      debugging capabilities to POD.
    - README.md: whitespace fixes and typo correction.
    - X2Go/Server/DB/SQLite3.pm: fix command name in error messages.
    - X2Go/Utils.pm: backport user name regex changes.
    - x2goserver-x2goagent/etc/x2goagent.options: reenable XFIXES extension.
    - x2goserver/bin/x2gostartagent: fix most other shellcheck warnings, more
      quotes, curly braces et. al.
    - x2goserver/bin/x2goresume-session: fix most other shellcheck warnings,
      more quotes, curly braces et. al.
    - x2goserver/lib: add new perl wrapper script for X2Go::Utils::is_true
      called x2goistrue.
    - x2goserver/bin/x2gostartagent: replace inline perl with calls to
      x2goistrue and x2goqueryconfig.
    - x2goserver/bin/x2gostartagent: support disabling or enabling RANDR
      Xinerama in x2goagent via any parameter in the form randr_xinerama=value
      (with value interpreted by x2goistrue). Note that it is not possible to
      change the RRXinerama preference after a session has been started
      currently.
    - x2goserver/bin/x2gostartagent: pass in xinerama configuration value via
      environment. Doing it via an argument is just asking for trouble since
      we actually have optional parameters.
    - x2goserver/bin/x2gostartagent: add FIXME entry for the SHADREQ_USER
      optional parameter. No client actually uses it and it makes the whole
      parameter handling fragile.
    - x2goserver/bin/x2go{startagent,resume-ression}: instead of disabling
      RANDR Xinerama if no xinerama support has been requested, switch to
      modifying the xinerama nx/nx option. For x2gostartagent, that means a
      variable rename from X2GO_RANDR_XINERAMA to X2GO_XINERAMA with
      essentially the same semantics. For x2goresume-session, a new parameter
      is added.
    - x2goserver/bin/x2gostartagent: disable Xinerama support by default,
      more compatible with the old behavior (and python-x2go/PyHoca).
    - x2goserver/bin/x2go{resume-session,runcommand}: drop obsolete and
      now-unused NX_XINERAMA_CONF variable.
    - x2goserver/lib/x2gogetrandomport: fix function name, leading to startup
      failures.
    - x2goserver/lib/x2go{check,getfree}port: parameter expansion and single
      quotes don't mix well. Use double quotes instead.
    - x2goserver/lib/x2gocheckport: fix X2GO_LIB_PATH -> x2go_lib_path typo.
    - x2goserver/bin/x2gostartagent: output variable expects a string, not an
      integer.
    - x2goserver/lib/x2goistrue: perl strips empty parameters from @ARGV, so
      work around that gracefully.
    - x2goserver/lib/x2goistrue: use shift unconditionally and check the
      parameter to be defined instead.
    - x2goserver/bin/x2goresume-session: handle missing xinerama parameter in
      options string gracefully, skipping that part (and the other optional
      geometry string) correctly.
    - x2goserver-common/Makefile: whitespace (lineup) only.
    - */man/*/*: update dates and version in manpages.
    - */VERSION.*: remove -preview tag.
  * x2goserver.spec:
    - Only create session DB in x2goserver's post install script. Do use
      proper Requires(post) statements to make sure perl-X2Go-Server-DB and
      x2goserver-common are available when x2goserver's post install script is
      being executed. Fixes installation bugs reported by Michael DePaulo.
    - Add support for %{_datadir}/applications symlink in %{_sysconfdir}/x2go.
      + Add creation and deletion bits to %post and %preun scriptlets.
      + Refactor %post, %pre, %postun and %preun scriptlets to accommodate for
        last change.
      + Don't use %{_sbindir} for chkconfig and service on SLE{S,D}.
        %{_sbindir} is a macro for /usr/sbin/, whereas chkconfig and service
        reside in /sbin/.
    - Change deprecated and removed PreReq to Requires(pre) header.
    - Move shadow/shadow-utils/pwdutils Requires to x2goserver-common sub
      package (where they are actually needed.)
    - Re-add etc/rgb as a config file.
    - Correctly create and specify the x2goserver-x2goagent subpackage,
      instead of a standalone x2goagent package.
    - Fix dependency upon versioned nxagent.
    - Let x2goserver depend upon x2goagent-virtual, add Provides: keyword to
      x2goserver-x2goagent (also need to be implemented within X2Go's nx-libs
      master branch.)
    - Add script/symlink ${LIBDIR}/x2go/bin/x2goagent to installed file list.
    - Split up x2gosql installed file list part into actual directories and
      files.
    - Disable stale symlinks check for now (and add comment to re-enable it
      once we've switched to nx-libs 3.5.99 or higher for good.)
    - Actually export NO_BRP_STALE_LINK_ERROR in a correct way/with the
      correct value. Never blindly trust the internets if something looks odd.
    - Add %{_libdir}/x2go/bin as owned directory for x2goserver-x2goagent.
      Also owned by the alternative package x2goagent in nx-libs.
    - Exclude %{_bindir}/x2goagent from being packaged into x2goserver
      package.
    - x2goserver-x2goagent needs nxagent 3.5.99.3 and higher.
    - Actually add logcheck Requires.
    - Give the x2goagent-virtual package a specific version, derived from the
      x2goserver version.
    - Let x2goserver-x2goagent conflict with the former x2goagent package.
    - Let x2goserver depend upon its own x2goserver-virtual package for now.
      The release after that can drop the virtual package again.
    - Add x2goistrue to %files section.
    - Remove useless x2goagent-virtual Provides: and let x2goserver-x2goagent
      obsolete older x2goagent packages.
  * debian/control:
    - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
    - Depend upon newer x2goagent package that now provides the
      x2goagent.options file.
    - Fix nxagent dependency. Must be version 3.5.99.3 or higher. Epoch was
      missing.
    - Dip into cold water and depend solely upon x2goserver-x2goagent in a
      versioned fashion.
  * debian/:
    - Remove x2goserver-x2goagent.dirs and hope it's really unneeded, because
      the Makefile creates these directories correctly.
  * debian/x2goserver-x2goagent.install:
    - Re-add etc/rgb file.

  [ Martti Pitkänen ]
  * debian/po:
    - fi.po: update Finnish DebConf templates translation.

 -- X2Go Release Manager <git-admin@x2go.org>  Thu, 15 Feb 2018 23:03:48 +0100

x2goserver (4.0.1.23-0x2go1) UNRELEASED; urgency=medium

  [ Mihai Moldovan ]
  * New upstream version (4.0.1.23):
    - x2goserver/bin/x2gostartagent: reenable XFIXES extension. The initial
      problem that required this workaround has been fixed a long time ago.
    - x2goserver/lib: new wrapper script x2goqueryconfig to fetch a config
      value out of the global x2goserver.conf file.
    - x2goserver/etc/x2goserver.conf: add x2goagent.port_randomization
      configuration option. Can be set to either "host-based" or
      "pure-random".
    - x2goserver/bin/x2gostartagent: use x2goagent.port_randomization
      configuration value. Currently only a value of "host-based" is directly
      mapped to the host-based algorithm, while any other value (or a failure
      of failure) are mapped to the "pure-random" code path.
    - x2goserver/bin/x2gostartagent: fix shellcheck warning related to arrays.
    - x2goserver/bin/x2gostartagent: update copyright notice.
    - x2goserver/bin/x2gostartagent: fix most shellcheck warnings, whitespace
      errors, use more quotes and curly braces.
    - x2goserver/bin/x2gostartagent: drop obsolete X2GO_BIN environment
      variable usage.
    - x2goserver/bin/x2gostartagent: make shellcheck happy by referencing
      "${SAVED_DISPLAY}" once.
    - x2goserver/bin/x2gostartagent: checking for the exit status of a
      variable assignment isn't helping us in finding out if x2goagent is
      still running. Even otherwise, the exit status would be useless since we
      spawn x2goagent in the background. Better check if the PID still exists
      and error out if it's gone. There certainly is potential for race
      conditions (i.e., x2goagent started, then exited, then another process
      took its place). On Linux, this situation is unlikely to happen, since
      PIDs are only recycled once the maximum PID value is reached, meaning
      that enough processes to overflow the PID + to get to the original PID
      value need to be spawned in a very short amount of time. Unlikely, but
      not impossible.
    - x2goserver/bin/x2gostartagent: replace perl call with bash pattern
      substitution.
    - x2goserver/bin/x2gostartagent: some shells do not handle quotes in
      pattern substitutions gracefully. Remove them.
    - x2goserver/lib: new script x2gogetfreeport, consists of duplicated
      functionality in x2gostartagent.
    - x2goserver/lib: new script x2gogetrandomport, contains the port
      randomization (or pseudo-randomization) features that are part of
      x2gostartagent, but need to be accessible by other scripts as well.
    - x2goserver/bin/x2gostartagent: remove spurious semicolon and add quotes
      on the lib path line.
    - x2goserver/bin/x2gostartagent: start using x2gogetrandomport, delete
      now-duplicate code. Also adjust return values accordingly.
    - x2goserver/bin/x2gostartagent: fix return code that should have been
      zero, indicating success.
    - x2goserver/bin/x2goresume-session: remove spurious semicolon and add
      quotes on the lib path line.
    - x2goserver/bin/x2goresume-session: properly randomize first port, just
      like in x2gostartagent.
    - x2goserver/bin/x2go{startagent,resume-session}: use x2gogetfreeport
      instead of duplicating the same code everywhere. Fixes: #1230. Also,
      rely on it returning a valid value and try at most 10 times to fetch a
      usable port value, then error out and make the session startup or
      resumption fail.
    - x2goserver/bin/x2gostartagent: fix hostname detection. Only error out if
      the hostname call actually failed, not the other way around.
    - x2goserver/bin/x2goresume-session: fix shellcheck warnings, use
      bash-style tests, more quotes, curly braces, wrap literal strings in
      single quotes, avoid useless constructs, fix whitespace errors and
      probably more.
    - x2goserver/bin/x2gostartagent: use single quotes for literal strings,
      bash-style checks, more curly braces, terminate options for commands
      that use outside input (variables), fix copyright notice.
    - x2goserver/lib/x2gogetfreeport: use single quotes for literal strings.
    - x2goserver/lib/x2gogetfreeport: use error code 1 for general failure,
      shift parameter sanitization failure codes up.
    - x2goserver/lib: new script x2gocheckport, containing common
      functionality for port checking. Duplicated code will be deleted next.
    - x2goserver/lib/x2gogetfreeport: check start and end paramters in a
      stricter fashion.
    - x2goserver/lib/x2gogetfreeport: use the check_*_port functions, require
      current host name as a parameter and adapt x2gogetfreeport usages
      accordingly.
    - x2goserver/bin/x2goresume-session: actually check if the old port values
      have been refurbished within the system and reassign them.
    - x2goserver/bin/x2goresume-ression: whitespace fix only.
    - x2goserver/bin/x2gostartagent: check and adapt exit codes.
    - x2goserver/etc: add new tmpfiles.d/x2goserver.conf file, protecting
      session directories from systemd's tmpfiles deletion.
    - x2goserver/Makefile: install and uninstall
      etc/tmpfiles.d/x2goserver.conf.
    - x2goserver-xsession/etc/Xsession: change interpreter to bash. Some tests
      do not work in other shells.
  * x2goserver.spec:
    - RPMify x2goserver-xsession description.
    - Remove qt4 stuff, we're not using the framework here.
    - Split out logcheck files into an x2goserver-logcheck subpackage. Avoids
      installing logcheck as a hard-dependency with X2Go Server for people who
      do not want or expect that. Logcheck users can install
      x2goserver-logcheck as a standalone package instead.
    - Add correct Group: to x2goserver-logcheck package.
    - Install new files x2go{checkport,get{free,random}port,queryconfig} into
      the lib dir.
    - Fix logic when checking for "distro version lower than X".
    - Add new conffile /etc/tmpfiles.d/x2goserver.conf on systems that actually
      use/have systemd.
    - Actually install /etc/sudoers.d/x2goserver conffile on non-SuSE systems.
      Got broken accidentally a while ago.
    - Backport /etc/x2g/applications behavior from upstream Fedora spec file.
      Own the file as part of a %ghost procedure and make sure that the
      removal is only executed on real package erases (i.e., not also during
      package upgrades).
    - Create applications file in %install section, not %pre.
  * debian/x2goserver.install:
    - Install new /etc/tmpfiles.d/x2goserver.conf conffile.

 -- X2Go Release Manager <git-admin@x2go.org>  Sat, 11 Nov 2017 13:01:29 +0100

x2goserver (4.0.1.22-0x2go1) unstable; urgency=medium

  [ Mihai Moldovan ]
  * New upstream version (4.0.1.22):
    - x2goserver/bin/x2go{resume-session,startagent}: use the actual system's
      host name instead of the short name only. Fixes startup issues on a wide
      variety of systems that use a FQDN as their host name. In such a
      scenario, using the short name works iff the short name maps to
      127.0.0.1. Otherwise, session startups fail. Using the actual host name
      does not require such hacks, so use this instead.

 -- X2Go Release Manager <git-admin@x2go.org>  Sat, 11 Nov 2017 12:53:48 +0100

x2goserver (4.0.1.21-0x2go1) unstable; urgency=medium

  [ Mihai Moldovan ]
  * New upstream version (4.0.1.21):
    - x2goserver/sbin/x2gocleansessions: don't overzealously try to remove old
      nxagent sockets. If the nxagent process already vanished, simply forget
      the remembered session. Otherwise we might delete sockets that have been
      re-assigned to other sessions in the meantime.
    - x2goserver/bin/x2gostartagent: convert X2GO_PORT searching algorithm to
      pure bash and let script fail if no display port is available.
    - x2goserver/sbin/x2gocleansessions: fix syntax error introduced in last
      change to this file.
    - x2goserver/bin/x2gosetkeyboard: make compatible with changes in
      Arctica's nxagent. Also change to an all-bash algorithm. Fixes: #1151.
    - x2goserver/bin/x2gosetkeyboard: fix a typo that caused the script to not
      work properly - with or without Arctica's nx-libs.
    - x2goserver/bin/x2gosetkeyboard: rename ${setxkbcomp_opts} to
      ${setxkbmap_opts}, that's what it really is.
    - x2goserver/bin/x2gosetkeyboard: setxkbmap expects a parameter called
      "-option", but nxagent uses the key "options". Make setxkbmap happy.
    - x2goserver/bin/x2gosetkeyboard: $BASH_REMATCH is tricky, actually fetch
      the first match. In the $BASH_REMATCH array, index 0 contains the *full*
      match, while indices 1+ only contain the partial matches. We're only
      interested in the first partial match.
    - x2goserver/bin/x2gosetkeyboard: only match up the first ending quote
      character in a non-greedy way. This will not support nested quotes
      within values, but we probably don't need this feature anyway.
    - x2goserver/bin/x2gostartagent: try to enable lingering via systemd's
      loginctl utility before calling x2goagent. Fixes: #1198.
    - x2goserver-xsession/etc/Xsession: support Devuan just like Debian, give
      useful error message in case the OS is unknown.
    - x2goserver/bin/x2gostartagent: fetch hostname via "hostname -s" and do
      not rely on the HOSTNAME variable. The latter is only set automatically
      by bash if it's not already part of the environment. We might get
      "garbage" in this way (and one user actually did.)
    - x2goserver/bin/x2golistshadowsessions: whitespace only.
    - x2goserver/sbin/x2gocleansessions: close syslog at program exit.
    - x2goserver/sbin/x2gocleansessions: whitespace only.
    - x2goserver/bin/x2golistshadowsessions: copy and use a few needed utility
      functions from x2gocleansessions.
    - x2goserver/bin/x2golistshadowsessions: mark unavailable functionality
      with FIXME comments.
    - x2goserver-xsession/etc/Xsession: add support for OS RT via
      /etc/os-rt-release (file needs to be created by upstream first, bug
      pending.)
    - x2goserver/{bin/x2golistshadowsessions,
      lib/x2go{dbwrapper.pm,sqlitewrapper.pl}}: backport listshadowsessions*
      DB functions and unmark them as FIXME entries.
    - x2goserver/lib/x2go{sqlitewrapper.pl,utils.pm}: allow arbitrary-length
      user names, user names starting with digits and drop $ as a valid user
      name character. Fixes: #1229.
    - x2goserver/bin/x2goruncommand: use dbus-run-session to start a new dbus
      user session if available. Only for full desktop sessions. Backported
      from a Debian patch.
    - x2goserver/bin/x2goresume-session: backport HOSTNAME changes from
      x2goserver/bin/x2gostartagent.
    - x2goserver/bin/x2go{resume-session,startagent}: catch errors while
      inserting values into database more gracefully. Fixes: #1230.
    - x2goserver/bin/x2gostartagent: write hostname errors to stderr to make
      X2Go Client (and maybe PyHoca?) fail.
    - x2goserver/{bin/x2go{runcommand,suspend-session},
      sbin/x2gocleansessions}: remove hopefully redundant HOSTNAME export
      commands.
    - x2goserver/etc/x2goagent.options: remove file, moved to x2goagent.
    - x2goserver/Makefile: actually unreference x2goagent.options file as
      well.
    - x2goserver/bin/x2go{resume-session,startagent}: revert error catching
      while inserting values into database. The current code structure relies
      on ignoring failures and retrying until an operation succeeded, which
      may eventually happen or just as well may never happen. We need
      something smarter here.
    - x2goserver/bin/x2gostartagent: log x2goagent startup command to syslog
      in debug mode.
  * x2goserver.spec:
    - Add mandatory perl-generators Build-Requires as per
      https://fedoraproject.org/wiki/Changes/Build_Root_Without_Perl
    - Correct usage of mime and desktop database upgrade scriptlets and
      dependencies. Fedora mandates to not depend upon shared-mime-info, even
      not for the scriplets. Additionally, FC24 has deprecated usage of the
      mime database update scriptlet and FC25 has deprecated usage of the
      desktop database update scriptlet. (Open)SUSE mandates to pull in
      shared-mime-info and desktop-file-utils as post/postun scriptlet
      dependencies and provides special macros since 11.4. Older versions are
      handled via the usual commands.
    - Simplify systemd usage a bit and make sure that it's restarted on Fedora
      and RHEL-based distros. FIXME: Not enabled by default on FC/RHEL/*SuSE.
    - Use Suggests instead of Recommends, as an even weaker dependency. We can
      live just fine without printing or fmbindings and no functions of the
      x2goserver package as well will be impacted. The DEB control file also
      uses "Suggests" for this.
    - Fix RPM spec syntax error in shared-mime-info dependency section.
    - Fix %{?fedora} macro usage.
    - Add the correct package name to the %posttrans scriptlet, we only need
      it for x2goserver-fmbindings.
    - Make sure that we don't go into branches just because a macro is not
      defined on our platform.
    - Work around a bug in SuSE's mime DB update script...
    - Make sure that there's always at least one (nil) command in the if
      command list.
    - Break older SLES builds on purpose to see what branch is *actually*
      taken. Will be reverted shortly.
    - Fix typo in %if condition (0%?{?fedora} instead of 0%{?fedora}.)
    - Contrary to other information that says "brackets" and consistent with
      RPM's source code, grouping is done via "(" and ")" in conditions.
    - More platform-specific condition fixup.
    - Pull in shared-mime-info as a build requirement only on *SuSE and add
      comment regarding why desktop-file-utils is always needed.
    - Also add a trans(action)-requirement on shared-mime-info for older
      RHEL-based distros.
    - RPM spec does not allow %elif or %elseif, which lead to all weird kinds
      of errors. Split these up into nested conditions.
    - There is no %trans scriptlet, we're using %posttrans, so the dependency
      should be specified as Requires(posttrans) as well.
    - Pull in dbus-run-session if possible. Only available on Fedora, SLE12+
      and OpenSuSE 13+.
    - Pull in x2goagent >= 3.5.0.33 explicitly, first version that reflects
      the x2goagent.options file move.
  * debian/po:
    - Tiny fixup on author name.
  * debian/control:
    - Whitespace fixes.
    - Add BD on dh-systemd. We'll need it for systemd integration.
    - Depend upon dbus for dbus-run-session.
    - Pull in x2goagent >= 3.5.0.33 explicitly, first version that reflects
      the x2goagent.options file move.
  * debian/rules:
    - Call the systemd addon to process and install the systemd service file.
    - Don't fail if we don't have the systemd addon. Systems that don't have
      that will likely not use systemd in the first place.

  [ Martti Pitkänen ]
  * debian/po:
    - Translate DebConf templates to Finnish.

  [ Orion Paplowski ]
  * x2goserver.spec:
    - Requires(post) does not imply Requires, and missing ones on grep and the
      SQLite perl module.
    - Fedora >= 21 and (Open)SUSE >= 11 now allow Recommends.
    - perl(:MODULE_COMPAT...) is only needed for perl modules. Drop from
      x2goserver-printing and x2goserver-xsession.
    - Delete .packlist which may be in different locations.
    - Sort some %files entries.

  [ Mike Gabriel ]
  * New upstream version (4.0.1.21):
    - x2goserver/bin/x2goruncommand: stop exporting LD_LIBRARY_PATH when using
      Arctica's nx-libs and its new Xinerama feature. Fixes: #1153.
    - Make x2goruncommand aware of the LXQt desktop shell.
    - x2goserver/x2gosqlitewrapper.c: fix implicit declaration of execv().
    - x2goserver/: backport x2golistshadowsessions.

 -- X2Go Release Manager <git-admin@x2go.org>  Wed, 08 Nov 2017 15:01:58 +0100

x2goserver (4.0.1.20-0x2go1) unstable; urgency=low

  [ Mike DePaulo ]
  * New upstream version (4.0.1.20):
    - TERMINAL Session: Add support for qterminal
      (Lightweight terminal emulator written in Qt)
    - TRINITY: Add support for Q4OS

  [ Mihai Moldovan ]
  * New upstream version (4.0.1.20):
    - x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't
      parse the full desktop file if there are non-Desktop Entries groups.
      Based on a patch submitted by Jason Alavaliant. Fixes: #812.
    - x2goserver/bin/x2gogetapps: do not print spurious newlines.
    - Change string "X2go" to "X2Go" where appropriate.
    - Add runcommand.d hooks to x2goserver-extensions Makefile.
    - x2goserver/bin/x2gosessionlimit: don't iterate over the whole groups
      file. Only check the primary and secondary groups as returned by
      getgid()/getgroups(). Fixes long delays in session startup on machines
      with a gazillion of groups.
    - x2goserver/sbin/x2gocleansessions: re-fetch the current sessions' status
      before handling it. Using the "cached" value from the initial
      x2golistsessions run may be desynchronized with the actual current
      value. Avoids a race condition logging users out after they attached to a
      session.
    - x2goserver/sbin/x2gocleansessions: rename %remembered_sessions_since to
      %remembered_sessions_status_since. That's what it really is. Add
      comments to further clarify what it's actually doing. Change it to
      include a timestamp instead of the "iteration count multiplied by two"
      value. Compare timestamps to see if killing hanging nxagent processes is
      necessary.
    - x2goserver/sbin/x2gocleansessions: rename
      %remembered_sessions_status_since to
      %remembered_sessions_status_since_time. Add
      %remembered_sessions_status_since_iterations that will come in handy for
      the next change.
    - x2goserver/sbin/x2gocleansessions: give suspended-but-running sessions a
      grace period of one iteration. Fixes: #888.
    - x2goserver/sbin/x2gocleansessions: fix ugly missing whitespace.
    - x2goserver/sbin/x2gocleansessions: move up session status sync a bit,
      don't update session state when session has been removed from the
      database.
    - x2goserver/sbin/x2gocleansessions: unify log messages. Move dangling
      line around.
    - x2goserver/sbin/x2gocleansessions: whitespace only.
    - x2goserver/sbin/x2gocleansessions: also delete entries in the other,
      overlooked hashes.
    - x2goserver/sbin/x2gocleansessions: move socket and lock file cleanup
      into time-based block for finished/failed sessions.
    - x2goserver/sbin/x2gocleansessions: add @remembered_finished_sessions
      array. Merge with session list as queried from the database (won't
      include finished/failed sessions) and remember F-state sessions via this
      array. Only delete elements once work on these has been finished.
    - x2goserver/sbin/x2gocleansessions: don't add failed/finished sessions to
      remembered list if that list already includes them.
    - x2goserver/sbin/x2gocleansessions: don't use gmtime (time ()) but merely
      time (). The former one returns a formatted date-time string, which
      can't be checked by forming a difference. The latter one returns an UNIX
      timestamp, which is what we really want... minus leap seconds. Let's
      hope this doesn't bite back some time or later...
    - x2goserver/sbin/x2gocleansessions: add debugging output to show the
      state change when updating the cached state result.
    - x2goserver/sbin/x2gocleansessions: only output status refreshing debug
      message if the old and new states actually differ. Prevents log spam.
    - x2goserver/bin/x2gostartagent: changes to Robert Nowotny's SSH_PORT
      patch. Fixes: #922. Use default outgoing interface to determine IP
      address. Use the whole range of ${RANDOM}'s pool. Seed it for good
      measure. Change the default method to randomization instead of IP-based
      initialization. If IP-based initialization was requested but the default
      outgoing IP address unavailable, fall back to randomization.
    - x2goserver/bin/x2goruncommand: whitespace and comment changes only.
    - x2goserver/bin/x2gocleansessions: replace system_capture_stdout_output()
      with actual implementation. We don't have that function on the release
      branch.
    - x2goserver-xsession/etc/Xsession: use /bin/bash explicitly on RedHat-,
      Gentoo- and SuSE-based systems. Users might change /bin/sh to point to a
      shell like mksh or dash, which do not support the -l or -c flags to
      exec. C.f., BGO #575022 (Gentoo.)
    - x2goserver/bin/x2gomountdirs: remove blowfish Cipher spec hardcoded for
      sshfs mounts. The speed improvement is probably mostly an illusion
      (unless talking about high-bandwidth links) and more importantly recent
      OpenSSH server versions seem to disable the Blowfish cipher by default,
      leading to errors like "Connection reset by peer."
    - x2goserver/bin/x2goruncommand: whitespace only.
    - x2goserver/sbin/x2gocleansessions: add Perl documentation and --help,
      -h, -? and --man options. Fixes: #1065. Also print a usage message on
      unknown options.
    - x2goserver/man/man8/x2gocleansessions.8: drop obsolete man page.
    - x2goserver-xsession/etc/Xsession: fix uname calls when (potentially)
      creating session log/error file and add uname call where necessary.
    - x2goserver-xsession/etc/Xsession: include hostname in
      xsession-x2go-errors file name. Part of #923.
    - x2goserver-xsession/etc/Xsession: rotate old log/error file before
      appending new data. Fixes: #923.
    - x2goserver-xsession/etc/Xsession: fix wrong variable usage.
      Fixes: #1073.
    - x2goserver/sbin/x2gocleansessions: move in-file POD to end of file,
      rather than "commenting" out all the remaining code. Fixes: #1068.
    - x2goserver/sbin/x2godbadmin: exit earlier when not finding the required
      "x2gouser" user.
  * x2goserver.spec:
    - Add sudo and logcheck as BuildRequires and Requires. Don't own
      directories that are owned by sudo and logcheck. Logcheck is not
      available on *SUSE, FC < 20 and RHEL, so for those distros still own the
      directories.
    - Typo fix in comment: Recommands -> Recommends.
    - Fix installation on OpenSUSE 12.3 and higher: has replaced pwdutils with
      shadow. Also affects SLE{S,D} 12.
    - Add workaround documentation for sudoers on *SUSE 11.
    - Add shadow/shadow-utils/pwdutils Requires to x2goserver-printing
      sub package.
    - Add new dependency on bash.
    - Add new dependency on xkeyboard-config to x2goserver. Fixes: #903.
    - Add new dependency on perl and the Cwd module to x2goserver-xsession.
      Part of #923.
  * debian/control:
    - Add new dependency on bash.
    - Add new dependency on xkb-data to x2goserver.
    - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
    - Uploaders: add myself. Also, force a rebuild due to the changed
      versioning.
    - Add new dependency on perl-modules for Cwd. Part of #923.

  [ Henning Heinold ]
  * New upstream version (4.0.1.20):
    - x2goserver/sbin/x2godbadmin: remove trailing whitespace.
    - x2goserver/sbin/x2godbadmin: revoke all PRIVILEGES before trying to
      delete a user on postgres. Fixes: #889.

  [ Mike Gabriel ]
  * debian/x2goserver.preinst:
    + Use proper comment header explaining about preinst script argument
      calls (not postinst).

  [ Robert Nowotny ]
  * New upstream version (4.0.1.20):
    - x2goserver/bin/x2gostartagent: original patch for SSH_PORT
      randomization/IP-based initialization. Submitted as #922.

  [ Stefan Baur ]
  * New upstream version (4.0.1.20):
    - x2goserver/bin/x2goruncommand: add the other trinity launcher scripts in
      order from newest to oldest. Fixes: #985.

  [ Tor Perkins ]
  * New upstream version (4.0.1.20):
    - x2goserver/bin/x2goruncommand: capture x2goruncommand debug output for
      x2gofeature X2GO_XSESSION.

  [ Orion Poplawski ]
  * New upstream version (4.0.1.20):
    - x2goserver/bin/x2golistdesktops: drop -u parameter to ss. Fixes: #799.
      We would filter out UDP sockets later anyway and the combination -lxu is
      known to be broken with some versions of iproute2.

 -- X2Go Release Manager <git-admin@x2go.org>  Sun, 20 Nov 2016 12:39:36 +0100

x2goserver (4.0.1.19-0x2go2) UNRELEASED; urgency=low

  [ Mihai Moldovan ]
  * New upstream version (4.0.1.19):
  * x2goserver.spec:
    - Do not search for unavailable file in x2goserver's post
      install script.  Fixes installation bugs reported by Michael DePaulo.
    - Add support for %{_datadir}/applications symlink in %{_sysconfdir}/x2go.
      + Add creation and deletion bits to %post and %preun scriptlets.
      + Refactor %post, %pre, %postun and %preun scriptlets to accommodate for
        last change.
      + Don't use %{_sbindir} for chkconfig and service on SLE{S,D}.
        %{_sbindir} is a macro for /usr/sbin/, whereas chkconfig and service
        reside in /sbin/.
    - Change deprecated and removed PreReq to Requires(pre) header.
    - Only use /etc/permissions.d on SUSE. Unsupported on RHEL/FC/EPEL.
    - Fix RPM build failure due to misplaced fi in %pre scriptlet.
    - %defattr must come before %doc, OR ELSE. Fixes SLE{S,D} 11 builds.

 -- X2Go Release Manager <git-admin@x2go.org>  Fri, 06 Mar 2015 05:37:18 +0100

x2goserver (4.0.1.19-0x2go1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream version (4.0.1.19):
    - Use File::Which to detect if sshfs command is available
      before trying to mount a client-side folder.
    - Be a bit more tolerant when trying to detect if a
      desktop icon is to be removed (using regexp, not
      eq).
    - Xsession script: Prevent bash failures when sourcing external bash
      scripts beyond our scope. (Fixes: #632, #675).
    - x2gogetapps: Support scanning of sub-directories when searching for
      .desktop files. We allow to dive down one level into subdirs, we on
      purpose do not recursively dive into the complete subtree. (Fixes: #633).
    - Make man2html an optional tool. Don't fail if it is missing on the
      build system (required for openSUSE/SLES builds).
    - Fix x2goserver-xsession/Makefile on SUSE. Detect SUSE distro and create
      Xsession related directory symlinks (xinitrc.d and Xclients.d).
    - Hack for x2goserver-xsession/Makefile during SUSE builds. If
      directoy /usr/share/doc/packages/brp-check-suse is present, the build env
      is also considered to be a SUSE system.
    - Trigger Xsession code for SUSE systems (look for /etc/SUSE-brand or
      /etc/SuSE-release for SUSE system recognition). (Fixes: #671).
    - x2gosqlitewrapper.c: Fix rpmlint error: no-return-in-nonvoid-function.
      Return the exitcode of execve().
    - Fix gramma in error message (in x2goresume-session).
    - x2gocleansessions: Call x2gormforward also on terminated sessions. This
      will make sure that re-assigned ports are really available on new session
      startup.
    - x2golistsessions(_root): Only update session state in session DB if
      x2goagent's state file really exists. This addresses a problem that occurs
      when x2golistsessions gets called via an x2gobroker-agent. The
      x2golistsessions script may show session states (--all-servers) of
      sessions on other servers that have session states files on their remote
      /tmp dirs. These files are not accessible for that x2golistsessions script
      and should simply be ignored. (Fixes: #638).
    - Provide pam_namespace support for has_agent_state_file() function.
    - Fix missing session list output if state file does not exist on the
      machine that runs x2golistsessions(_root).
    - Accept more verbose "DENY" output from x2godesktopsharing.
    - Make sure that all "su"-to-user-contexts use /bin/sh for wrapping around
      the executed command (in x2gocleansessions and x2golistsessions_root).
    - Also enforce /bin/sh as shell in su command in x2goprint.
    - README.i18n: Add file that explains the translation workflow for
      this package. Thanks to Mark Pedersen-Cook for drafting this file.
    - Make SSH agent forwarding work after having reconnected via SSH and
      having resumed a session. (Fixes: #672). Thanks to Robert Siemer for
      coming up with that idea.
    - Fix cross-user X2Go Desktop Sharing after being broken by implementing
      clipboard mode feature (and probably other code changes).
    - Document session startup / resumption failures (and their reasons) in
      server-side log output.
    - Handle AD domain users gracefully when X2Go is used with SQLite DB
      backend. (Fixes: #664).
    - Improve sanitizer, use 'x2gosid' sanitizer for session IDs everywhere.
      Drop unused 'pnixusername' sanitizer in 4.0.1.x release of X2Go Server.
    - Allow usernames in session IDs of length 48 chars.
    - Start sshfs with a timeout of 30 seconds (because it never finishes if
      something is wrong with the client-side TCP socket). Also remove/unmount
      mountpoints erroneously registered sshfs mountpoints if sshfs command
      times out. Furthermore, print errors to STDERR (not STDOUT). (Fixes:
      #405).
    - Handle execution of ss command from Perl script x2golistdesktops in a way
      that not only works on Debian, but also on Fedora et al. (Fixes: #727).
    - Provide legacy support for old File::Path packages in x2godbadmin.
      (Fixes: #715).
    - Fix wrong evocation of x2gosyslog ("error" -> "err").
    - Use "undef $dbh" instead of "$dbh->disconnect()". Fixes SQLite3 issues on
      SLE 11.x.
    - Only call $dbh->sqlite_busy_timeout() if the $dbh object is capable of
      that. Works around a too-old DBD::SQLite package on SLE 11.x.
    - Legacy for applications (and X2Go scripts) that expect $SSH_CLIENT to be
      set in the X2Go session's environment. (Fixes: #644).
    - Add man page for x2gogetapps. Weave into that a security / disclaimer
      message as proposed by Stefan Baur. (Fixes: #728).
  * debian/control:
    + Add D (x2goserver): libfile-which-perl.
    + Add C (x2goserver: x2godesktopsharing (<< 3.1.1.2-0~). (Fixes: #700).
    + Bump Standards: to 3.9.6. No changes needed.
    + Don't depend on libdb-pg-perl for armhf builds. (Fixes: #712). Thanks to
      Heinrich Schuchardt for providing information on this.
    + Upgrade to D again (bin:package x2goserver): xfonts-base (Fixes: #770).
  * debian/x2goserver.docs:
    + Install README.i18n file into bin:package x2goserver.
  * x2goserver.spec:
    + Add to R: perl(File::Which).
    + Additionally adapt to building on openSUSE/SLES.
    + No shell expansion possible in obs-build, detect perl version only for
      non-SUSE builds.
    + Add to R: x2goserver-xsession.
    + Don't mention /etc/x2go/x2gosql/sql twice (directly and with wildcard).
    + No %{_sysconfdir}/x2go/Xclients.d on SUSE systems.
    + Use %{_localstatedir} instead of %{_sharedstatedir}.
    + Use proper if... then... clauses.
    + For SUSE builds: Add to R: shadow (useradd, groupadd).
    + Replace historical "egrep" with "grep -E".
    + Systemd support for SUSE >= 12.10.
    + Set %defattr macro for every bin:package.
    + SUSE and Fedora/RHEL have different package group names.
    + Add x2goserver-rpmlintrc file to handle some rpmlint errors and warnings.
    + SUSE has openssh, but no openssh-server.
    + Add to R (x2goserver): perl-X2Go-Server.
    + Add to R (diverse): perl(Config::Simple), perl(Switch) and
      perl(Capture::Tiny).
    + Add to R (x2goserver): perl(File::BaseDir).
    + Don't hard-code /var/lib/ in $HOME path of to-be-created user
      "x2gouser".
    + Add to BR: findutils.
    + For Fedora-like systems, don't make x2goserver bin:package authoritative
      for non-X2Go directories. (Fixes: #676).
    + Remove macro call %systemd_pre for Fedora/EPEL-7 builds. No such macro in
      Fedora/RHEL7. (Fixes: 698).
    + Create system user x2gouser with $HOME in /var/lib/x2go. (Fixes: #697).
    + Always set BuildRoot: parameter.
    + BuildRequires: SUSE <= 11.3 has xorg-x11, not xinit.
    + Requires (x2goserver-xsession): SUSE <= 11.3 has xorg-x11, not xinit.
    + No Bashisms in scriptlets.
    + rpmlint requires shared-mime-info at build time on SLE <= 11.3.
    + "%set_permissions" / "%verify_permissions" macros are not know in SLE <=
      11.3. Using "%run permissions" and "%verify permissions" instead.
    + On SUSE, add permissions.d/x2goserver.
    + Fix SQLite wrapper permissions (02775 -> 02755)
    + Use if then clauses for creating user/group x2goprint.

  [ Matthew L. Dailey ]
  * New upstream version (4.0.1.19):
    - x2gocleansessions: Redirect stdin, stdout and stderr to /dev/null, test
      for the existence of the file descriptor before issuing the close,
      only capture the file descriptor backreference in the regex and
      send any close failures to syslog. (Fixes: #678).

  [ Lars Wendler ]
  * New upstream version (4.0.1.19):
    - Use "printf" instead of "echo -n". (Fixes: #668).

 -- X2Go Release Manager <git-admin@x2go.org>  Tue, 24 Feb 2015 21:49:22 +0100

x2goserver (4.0.1.18-0x2go1) unstable; urgency=medium

  [ Horst Schirmeier ]
  * New upstream release (4.0.1.18):
    - Remove stale X11 lock files in cases where x2goagent mysteriously
      disappeared (e.g., due to kill -9 or a crash). (Fixes: #630).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 06 Oct 2014 22:27:42 +0200

x2goserver (4.0.1.17-0x2go1) unstable; urgency=medium

  * New upstream release (4.0.1.17):
    - Fix breakage of X2Go Server when upgrading from 4.0.1.15 while
      sessions are still in running / suspended state. (Fixes: #623).
    - Handle stale X11 socket files in cases where x2goagent has
      mysteriously disappeared (e.g. kill -9). (Fixes: #626).
    - Make sure that incompletely started up sessions get wiped from the
      session DB after 10 seconds.
    - Fix unreliable removal of client-side folder sharing desktop
      icons.
    - Update date in several man pages.
  * debian/control:
    + Upgrade x2goserver-xsession from Suggests: to Recommends:.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 03 Oct 2014 17:09:23 +0200

x2goserver (4.0.1.16-0x2go1) unstable; urgency=low

  [ Mike DePaulo ]
  * New upstream release (4.0.1.16):
    - Make X2Go Server aware of the Openbox desktop environment
      (Command: OPENBOX) (Fixes: #605)
    - Make X2Go Server aware of the IceWM desktop environment
      (Command: ICEWM) (Fixes: #606)
    - Support GNOME Flashback session (GNOME 3.8+) on distro releases such as
      Ubuntu 13.10+ and debian Jessie
      (NOTE: For most users, GNOME Flashback currently will not work.
       This requires that gnome-flashback.session actually be installed. Not
       every Linux distro has it available.
       It also requires that the gnome-session binary not require
       hardware 3D acceleration for said session. Currently, upstream GNOME
       and GNOME 3.8+ in all Linux distros do require this, only 3rd party
       builds do not. See X2Go bug #599 for example.)
      (Thanks Eugene San (eugenesan@gmail.com))
    - Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other
      than Ubuntu and Debian (Fixes: #599)
    - Fix support for Cinnamon 1.4 (Linux Mint 13) (Fixes: #569)
    - Fix the logic for launching Cinnamon 2.0 and 2.2 (Linux Mint 17).
      (Fixes: #572)
      NOTE: Fixing this bug in x2goserver is not sufficient to make Cinnamon 2.0
      & 2.2 to work properly with X2Go. Bug #150 in nx-libs is still a problem.
      Fixing this bug enables Cinnamon 2.0 and 2.2 to launch to their
      "fallback mode", which has many bugs and missing features when compared to
      "software rendering" mode (cinnamon2d), but is still better than nothing.
  * debian/rules:
    + Improve dh_auto_clean override.

  [ Mike Gabriel ]
  * New upstream version (4.0.1.16):
    - Let x2goversion exit with an error if the X2Go component cannot be
      found.
    - Detect terminated sessions from NX log file. Also interpret a session as
      terminated if terminating just has started.
    - Detect started/starting/resumed/resuming sessions by explicitly scanning
      the NX session log file for those keywords.
    - Interpret NX sessions marked as "aborting session" as (not yet) terminated
      sessions.
    - Provide config option for server-side/global clipboard behaviour in
      x2goagent.options. (Fixes: #506).
    - Be aware of poly-instantiated /tmp directories bind-mounted under
      /tmp-inst. (Fixes: #406).
    - On suspend: Call x2goumount-session before sending SIGHUP to x2goagent.
    - Refuse client communcation if server-side hostname is not set up
      correctly (Fixes: #468).
    - Fix string comparison in x2goumount-session.
    - Fix problems with unmounting shared folders on session suspension/
      termination. Remove extra parentheses from the fusermount execution
      call. (Fixes: #407).
    - Use type -p instead of which in x2goumount-session. Suppress output
      to stdout properly.
    - Use if--then--else--fi during x2goagent resuming in x2goresume-session
      script.
    - More reliably sync the NX session state with the status information in
      the X2Go session DB.
    - x2golistdesktops: Also detect sharable desktop sessions behind abstract
      kernel namespace sockets.
    - Add logcheck rules for X2Go Server. Thanks to Frank Werner for sending
      them in.
    - Correctly use diversions from stderr to stdout in shell commands.
      (Fixes: #520).
    - Don't die if no session state file is found, as it will break X2Go
      completely after upgrading from versions << 4.0.1.16 if sessions
      are still running/suspended during package upgrade.
    - Provide support for client-side choice of clipboard security. (Fixes:
      #524).
    - Use more quotes in x2goruncommand.
    - Detect the exit of rootless applications that forked to background on
      application execution. (Fixes: #122).
    - Make x2goruncommand more robust.
    - Don't fail Xsession startup if any of the profile scripts returns
      with an error.
    - Silently timeout in x2golistdesktops if calls to x2golistsessions and/or
      xwininfo don't produce output within one second. (Fixes: #543).
    - Allow email addresses as login usernames. (Fixes: #573).
    - Abort session startup if env var $USER or $SSH_CLIENT are not set.
      (Fixes: #558).
    - Allow length of username up to 48 characters (was: 32 characters). (Fixes:
      #574).
    - Abort session if env var $HOME is not set or if $HOME contains non-ASCII
      characters. (Fixes: #397).
    - Export XAUTHORITY env var in x2goruncommand to enable privilege upgrade
      for applications started via pkexec. (Fixes: #458).
    - x2gocleansessions: Don't print to stderr if the session state file cannot
      be found. This can happen during session startups. Report to system log
      instead.
    - Don't use Perl package File::ReadBackwards anymore.
    - Fix x2gormforward for 4.0.1.x release series (the X2Go::Log Perl module
      only exists in X2Go Server >= 4.1.0.0, the 4.0.1.x release series has to
      use x2gologlevel.pm in `x2gopath lib`. (Fixes: #617).
    - Pick x2gogetagentstate from 4.1.0.0 release series and adapt to usage
      with X2Go Server 4.0.1.x. (Fixes: #619).
  * debian/control, x2goserver.spec:
    + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
      works with poly-instantiated /tmp directories.
    + Make sure x2gogetagentstate gets packaged in bin:package x2goserver.
    + Bump Standards: to 3.9.5. No changes needed.
    + Mark x2goserver-pyhoca bin:package as deprecated.
    + Drop D (x2goserver): libfile-readbackwards-perl.
  * x2goserver.spec:
    + Install {libdir}/x2go/x2gormforward into bin:package x2goserver.
    + Drop R (x2goserver): perl(File::ReadBackwards).

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.1.16):
    - x2gostartagent, x2golistsession, x2gosuspend-session and
      x2goresume-session getting agent state from ~/.x2go/C-$SID/state. This
      should help to avoid session damage. Remove nxcleanup. (Fixes: #302,
      #511).
    - Move session file to /tmp/.x2go-$USER. (Fixes: #523).
    - Fix x2gostartagent failures if kbd is not "auto". Remove comma at end of
      options file.
    - Set default value for clipboard to "both" in x2gostartagent and
      x2goresume-session.
    - Clean user SSHD process if connection between server and client lost.
      This should fix error "Global request tcpip-forward failed". (Fixes:
      #495, #547).

  [ Orion Paplowski ]
  * x2goserver.spec:
    + Sync Fedora .spec file with our upstream-provided x2goserver.spec.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 26 Sep 2014 00:36:32 +0200

x2goserver (4.0.1.15-0x2go1) unstable; urgency=low

  * New upstream release (4.0.1.15):
    + Fix hanging of x2goserver init script. Cherry-pick a322d8c from master
      branch. (Fixes: #471).
    + Add COPYING (GPL-2) file to base project folder.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 03 Apr 2014 11:35:50 +0200

x2goserver (4.0.1.14-0x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream release (4.0.1.14):
    - Log SSHFS output and errors to ~/.x2go/C-<session>/sshfs-mounts.log.
      (Fixes: #415).
    - If x2golistmounts is used without cmd option <session_id>, then
      the env var $X2GO_SESSION (current session) will be attempted to use.
    - If x2goumount-session is used without cmd option <session_id>, then
      the env var $X2GO_SESSION (current session) will be attempted to use.
    - Fix x2gostartagent. Make sure the -nolisten tcp option is configurable
      via x2goagent.options. (Fixes: #424).
    - Safely remove desktop files for client-side shared folders. Remove
      the correct desktop file, even if the shared folder has already
      been (forcefully) umounted. Such situations occur in cases where
      the connection gets interrupted. SSHFS will then get removed by the
      Linux kernel and we have to "guess" what desktop icons is actually
      to be removed.
    - Fix broken file descriptor closures in x2gocleansessions. (Fixes:
      #441).
    - Provide proper Gentoo support in x2goserver-xsession portion of
      X2Go Server. (Fixes: #445).
    - x2gofm.desktop: Drop obsolete Encoding key from .desktop file.
    - Fix typos / hyphen-as-minus signs issues in x2goversion.8 and
      x2gomountdirs.8.
  * x2goserver.spec:
    - Let builds for EPEL-7 behave like recent Fedora builds.
    - Spcial handling of x2gofm.desktop. In EPEL-5 the Encoding key
      is still required for .desktop files.
  * debian/*.doc-base:
    + Provide *.doc-base files for bin:packages containing HTML man pages
      or other documentation.
  * debian/x2goserver.init:
    + Add status option for init script (test if x2gocleansessions is
      running or not).
    + Add Description key to LSB header.
  * debian/config:
    + Explicitly call set -e. Makes lintian happier.
  * debian/rules:
    + Detect Git-created ChangeLog file if present (created by X2Go
      upstream's build scripts during package build).

  [ Harald Nordgard-Hansen ]
  * New upstream release (4.0.1.14):
    - Correctly quote the tests against $DISTRIB_RELEASE in x2goruncommand that
      were badly quoted (which caused them to report the wrong result and to
      create a file called "=" in the user home directory). Aligning all tests
      to use the same style of quoting fixes this. (Fixes: #409).

  [ Orion Poplawski ]
  * New upstream release (4.0.1.14):
    - Fix wrong path to xinitrd.d in Xsession (section for RPM based distros).
      Also, add some existence/readability checking. (Fixes: #414).
    - Fix the x2goserver.service unit file. Allow systemd to track the service
      after startup. (Fixes: #428).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 02 Apr 2014 14:32:39 +0200

x2goserver (4.0.1.13-0x2go1) unstable; urgency=low

  * New upstream version (4.0.1.13):
    - Include all achievements from LTS release branch (as of version
      4.0.0.11).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 20 Jan 2014 14:04:01 +0100

x2goserver (4.0.1.12-0x2go2) unstable; urgency=low

  * Build hotfix for RPM packages (x2goserver.spec):
    + Add perl(Capture::Tiny) to Requires: field of x2goserver.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 07 Jan 2014 18:36:38 +0100

x2goserver (4.0.1.12-0x2go1) unstable; urgency=low

  * Hotfix release including changes from LTS release version
    4.0.0.10 (see below).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 07 Jan 2014 18:26:28 +0100

x2goserver (4.0.1.11-0x2go1) unstable; urgency=low

  * New upstream version (4.0.1.11):
    - Fix x2gofm.desktop syntax. (Fixes: #391).
    - Include all achievements from LTS release branch (as of version
      4.0.0.9).
  * x2goserver.spec:
    - Enhance requirement of desktop-file-utils, validate x2gofm.desktop
      during package build.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 06 Jan 2014 18:24:49 +0100

x2goserver (4.0.1.10-0x2go1) unstable; urgency=low

  * New upstream version (4.0.1.10):
    - Fix x2goresume-session. The several parameters placed into the NX options
      file are expected by x2goresume-session at very specific positions. This
      we broke by trying to fix the fullscreen/geometry issue in x2gostartagent.
      Thanks to Harvey Eneman for tracking this down!!! (Fixes: #353, #355).
    - x2goserver-fmbindings/Makefile: install x2gofm.
    - x2goserver-fmbindings/Makefile: install share/applications and share/mime.
    - x2goserver-printing/Makefile: create feature.d directory before installing
      files into it.
    - Handle TCP listening of x2goagent in x2goagent.options. (Fixes: #354).
    - Clean up Makefiles, remove commented out lines.
    - Use xkb ruleset 'base' rather than xfree86 as on RHEL systems the
      xfree86 symlink to base ruleset does not exist.
    - Grab systemd service file from Fedora and ship it upstream.
    - Provide RHEL/Fedora support in x2goserver-xsession.
    - Only sanity check for existence of /etc/x2go/Xsession.d on Debian
      (derived) systems.
    - Provide man page for x2goserver.conf.
  * x2goserver.spec:
    + Ship x2goserver.spec (RPM package definitions) in upstream project.
      (Thanks to the Fedora package maintainers). File differs from the Fedora
      file already.
    + Add init script for RPM based distro. Taken from the Fedora
      package.
    + Clear (Fedora package) changelog.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 03 Jan 2014 11:34:36 +0100

x2goserver (4.0.1.9-0x2go1) unstable; urgency=low

  * Silent bugfix release (4.0.1.9):
    - Incorporate changes from LTS release 4.0.0.7. No other changes performed
      on this release branch. (Fixes: #348).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Nov 2013 16:06:44 +0100

x2goserver (4.0.1.8-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.8):
    - Fix resizing when resuming sessions.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Nov 2013 22:14:50 +0100

x2goserver (4.0.1.7-0~x2go1) unstable; urgency=low

  [ Orion Poplawski ]
  * New upstream version (4.0.1.7):
    - Install Xsession file as executable, make Xsession.d directory location
      configurable during build process, do not create unused Xsession.options.
      (Fixes: #278).

  [ Mike Gabriel ]
  * New upstream version (4.0.1.7):
    - Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or
      Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d
      and Xsession.options are created under /etc/x2go as empty dir/file.
      (Fixes: #278).
    - Fix automatic keyboard setup (via x2gosetkeyboard) while resuming a
      session. (Fixes: #285).
    - Provide sudoers.d/x2goserver file that allows sudoed commands under
      KDE (by pertaining the env var QT_GRAPHICSSYSTEM. (Fixes: #276).
    - With PostgreSQL as session db backend, prevent the root user from
      launching sessions. Also, prevent x2gouser_root from being added as a
      PostgreSQL user. (Fixes: #310).
    - Execute DB status changes as late as possible during suspend / terminate.
    - Start/resume rootless sessions without geometry parameter. Esp. using
      X2GO_GEOMETRY=fullscreen for rootless sessions lead to an extra 1x1 px
      session window (nxagentCreateIconWindow in nxagent's Window.c).
    - Typo fix in x2goruncommand (for MATE session startup).
  * debian/control:
    + Update LONG_DESCRIPTIONS.
    + Raise Standards: to 3.9.4 (no changes needed).
    + Move xfonts-base to Recommends: field of bin:package x2goserver.
  * debian/x2goserver.init:
    + Make init script LSB compliant.

  [ Helmer Teles ]
  * New upstream version (4.0.1.7):
    - Make umask that is used when mounting client-side folders via SSHFS
      configurable in x2goserver.conf. (Fixes: #331).

  [ Jürgen Hötzel ]
  * New upstream version (4.0.1.7):
    - Use bash-builtin 'type' instead of to be avoided 'which'. (Fixes: #305).

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.1.7):
    - Fix x2goruncommand: "type -P $cmd" can create new lines in EXEC
      variable if command have the arguments wich have same names as existing
      commands, for example "rdesktop -k nl" -> "/usr/bin/rdesktop\n/usr/bin/nl".
      Now we splitting $cmd and taking only first part.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Nov 2013 21:58:27 +0100

x2goserver (4.0.1.6-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.6):
    - Fix client-side unmounting of shared folders.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 13:37:12 +0200

x2goserver (4.0.1.5-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.5):
    - Do not hard-code paths to NX code in x2goruncommand anymore. Use
      x2gopath instead. (Fixes: #273).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 02:06:47 +0200

x2goserver (4.0.1.4-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (4.0.1.4):
    - Multiply query USED_DISPLAYS and USED_PORTS in x2gostartagent to minimize
      race conditions in cases where many clients launch session simultaneously.
    - Make X2Go Server aware of the MATE desktop environment.
    - x2goumount-session: allow args $X2GO_SESSION <server-mount-point> in
      addition to $X2GO_SESSION <client-directory>.

  [ Rok Mandeljc ]
  * New upstream version (4.0.1.4):
    - The gnome-terminal TERMINAL returns immediately and runs in background
      starting with GNOME 3.8. Thus, set IMEXIT to false for gnome-terminal.
      (Fixes: #268).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 27 Jul 2013 00:08:15 +0200

x2goserver (4.0.1.3-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.3):
    - Improve session status management in x2gocleansessions.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Jun 2013 14:32:41 +0200

x2goserver (4.0.1.2-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.2):
    - Accelerate resuming of sessions. Fix failures when resuming sessions that
      result from the latest changes in x2gocleansessions. (Fixes: #247).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Jun 2013 11:48:09 +0200

x2goserver (4.0.1.1-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.1):
    - Syntax fix in x2goumount-session.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 13 Jun 2013 13:12:54 +0200

x2goserver (4.0.1.0-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.0):
    - Make x2gomountdirs / x2goumount-session UNC path aware.
    - Add support to x2gocleansessions to suspend session via state changes
      in the session DB.
    - Add support for terminating sessions via the session DB.
    - Raise the frequency of the x2gocleansessions loop to every two seconds.
    - Send SIGKILL to blocked X-Server (x2goagent) processes, if they do not
      disappear within 20secs. (Fixes: #32).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:07:40 +0200

x2goserver (4.0.0.12-0x2go1) UNRELEASED; urgency=low

  [ Mike Gabriel ]
  * Adopt this patch from stable release branch and apply to LTS branch:
    - Start/resume rootless sessions without geometry parameter. Esp. using
      X2GO_GEOMETRY=fullscreen for rootless sessions lead to an extra 1x1 px
      session window (nxagentCreateIconWindow in nxagent's Window.c).
    - Fix x2goresume-session. The several parameters placed into the NX options
      file are expected by x2goresume-session at very specific positions. This
      we broke by trying to fix the fullscreen/geometry issue in x2gostartagent.
      Thanks to Harvey Eneman for tracking this down!!!
    - Detect suspended sessions from NX log file. Also interpret a session as
      suspended if suspending just has started.
    - Interpret NX display failures as (about to be) suspended sessions.

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.0.12):
    - Fix datetime output format in x2godbwrapper.pm.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 21 Feb 2014 14:25:43 +0100

x2goserver (4.0.0.11-0x2go1) unstable; urgency=low

  * New upstream version (4.0.0.11):
    - Use perl instead of sed for search+replace in session names sanitizing.
      (Fixes: #404).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 20 Jan 2014 14:00:42 +0100

x2goserver (4.0.0.10-0x2go1) unstable; urgency=low

  * New upstream version (4.0.0.10):
    - Add forgotten import of Perl package Capture::Tiny in
      x2goutils.pm.
  * debian/control:
    - Depend on libcapture-tiny-perl.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 07 Jan 2014 18:05:28 +0100

x2goserver (4.0.0.9-0x2go1) unstable; urgency=low

  * New upstream version (4.0.0.9):
    - Sanitize session name in x2gostartagent, as well. Fixes problems
      with custom session commands containing characters that get
      sanitized out.
    - Allow dots (".") in sanitized session names.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 06 Jan 2014 18:21:36 +0100

x2goserver (4.0.0.8-0x2go1) unstable; urgency=low

  * New upstream version (4.0.0.8):
    - Use mktemp instead of tempfile (because Fedora does not have the tempfile
      binary). (Fixes: #347).
    - Replace makepasswd by pwgen (because Fedora does not have makepasswd).
    - Improve parsing of the NX session.log file where unexpected extra logging
      takes place during session suspension/resumption. Thanks to Gerald Richter
      for finding this!!! (Fixes: #356).
    - Avoid one argument system calls and backticks in x2gocleansessions and
      x2golistsessions_root.
    - Avoid one argument system calls and backticks in x2golistsessions.
    - Avoid one argument system calls and backticks in x2goprint.
    - Avoid backticks in x2goshowblocks, move script to <prefix>/sbin/ as it is
      for being run with root privileges.
    - Sanitize session ID string, port numbers, display numbers and agent PID
      numbers before writing them as strings to the session DB.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 03 Jan 2014 11:30:54 +0100

x2goserver (4.0.0.7-0x2go1) unstable; urgency=low

  * New bugfix upstream version (4.0.0.7):
    - Revert keyboard workaround for Mac OS X, as it causes other issues.
      (Fixes: #348).
  * debian/source/format:
    + Switch to format 1.0.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Nov 2013 16:00:37 +0100

x2goserver (4.0.0.6-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.0.6):
    - Work around buggy X2Go Client on Mac OS. If the keyboard type
      is set to "query", we force X2GO_SET_KBD to 1.
      (Partly resolves: #112).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Nov 2013 21:56:44 +0100

x2goserver (4.0.0.5-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.0.5):
    - Make x2goumount-session tolerant towards usernames that contain spaces
      (Fixes: #202).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 01:47:03 +0200

x2goserver (4.0.0.4-0~x2go1) unstable; urgency=low

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.4):
    - Fix Perl include path for X2Go related Perl packages (which do
      not get installed to some system default path for this version
      of x2goserver).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 13 Jun 2013 13:10:28 +0200

x2goserver (4.0.0.3-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.0.3):
    - Make pre-set DESTDIR and PREFIX traverse through all Makefiles.
      Do not include DESTDIR in Makefile-hard-coded path in x2gosqlitewrapper.
    - Partially revert USED_PORTS detection code back to the old-style awk-way.
      (Fixes: #155).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:03:20 +0200

x2goserver (4.0.0.2-0~x2go1) unstable; urgency=low

  [ Matthew L. Dailey ]
  * New upstream version (4.0.0.2):
    - Do parse profile/xprofile files in X2Go's Xsession file. (Fixes: #149).

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.2):
    - Use x2gopath in Perl scripts to set the lib path. (Fixes: #103).

  [ Mike Gabriel ]
  * New upstream version (4.0.0.2):
    - Use make_path from File::Path in x2godbadmin to create user directory if
      not present. (Fixes: #200).
    - Security fix for setgid wrapper x2gosqlitewrapper.c. Hard-code path to
      x2gosqlitewrapper.pl during build via defining a macro in the Makefile.
      Thanks to Richard Weinberger for spotting this!!!
  /debian/control:
    + Let x2goserver bin:package depend on xfonts-base and fontconfig. (Fixes:
      #163).
    + Create session log symlink after launching x2goagent. Fix order of target
      and symlink name when executing the command.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 19 May 2013 00:54:34 +0200

x2goserver (4.0.0.1-0~x2go1) unstable; urgency=low

  [ Bernard Cafarelli ]
  * New upstream version (4.0.0.1):
    - Make CFLAGS usable in x2goserver. (Fixes: #83).

  [ Matthew L. Dailey ]
  * New upstream version (4.0.0.1):
    - Fix command/version detection for GNOME/Unity on Ubuntu. (Fixes: #105).

  [ Mike Gabriel ]
  * New upstream version (4.0.0.1):
    - Allow for deploying X2Go Published Applications system-wide on a
      per-user basis (in /etc/x2go/applications-per-user/<username>).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Mar 2013 13:52:43 +0100

x2goserver (4.0.0.0-0~x2go1) unstable; urgency=low

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.0):
    - Replace script x2gobasepath by script x2gopath that makes it much easier
      for distro packagers to tweak the installation paths of X2Go Server
      components.

  [ Mike Gabriel ]
  * Bump version to 4.0.0.0 (for Baikal bundle release).
  * New upstream version (4.0.0.0):
    - Adapt Xinerama path in x2gopath: use $base for detecting the path to the
      Xinerama libs, as well, as is done with all the other paths.
    - Fix mounting of multiple paths, thanks to Pascal Vibet. (Fixes: #67).

  [ Orion Poplawski ]
  * New upstream version (4.0.0.0):
    - Honour CFLAGS when compiling the server's sgid wrapper script (Fixes: #83).

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.0.0):
    - Fix SSHFS mounting from Ubuntu clients.
    - Create /tmp/.X11-unix if not exists. (Fixes: #93).

  [ Reinhard Tartler ]
  * New upstream version (4.0.0.0):
    - Introduce /etc/x2go/x2goagent.options to allow overriding x2goagent
      options. This new configuration file specifies default options
      that clients can override.
    - Disable XFIXES and GLX. Both are known to cause certain
      problems. Hopefully we find better solutions so that we can reenable
      them soon.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 30 Dec 2012 17:39:44 +0100

x2goserver (3.1.1.9-0~x2go1) unstable; urgency=low

  * New bugfix release (3.1.1.9):
    - Fix x2godesktopsharing, we had added to many quotation marks in
      x2gostartagent.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 23 Nov 2012 15:32:11 +0100

x2goserver (3.1.1.8-0~x2go1) unstable; urgency=low

  * New bugfix release (3.1.1.8):
    - Fix startup of GNOME and UNITY sessions (issue introduced with 3.1.1.7).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 23 Nov 2012 12:01:01 +0100

x2goserver (3.1.1.7-0~x2go1) unstable; urgency=low

  * New upstream+bugfix release (3.1.1.7):
    - Use DISTRIB_RELEASE to query Ubuntu release versions and detect Unity launch
      command.
    - Detect GNOME and UNITY startup commands via DISTRIB_RELEASE version number
      and by using the bc command for comparing versions.
    - Do not fail if source_environment() cannot find the file to be sourced.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 22 Nov 2012 18:11:15 +0100

x2goserver (3.1.1.6-0~x2go1) unstable; urgency=low

  * Bugfix release (3.1.1.6):
    - Fix for non-well-tested x2gomountdirs script.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 Nov 2012 20:57:54 +0100

x2goserver (3.1.1.5-0~x2go1) unstable; urgency=low

  [ Stéphane Graber ]
  * New upstream version (3.1.1.5):
    - Add a very basic SIGCHLD handler to x2gocleansessions. on SIGCHLD
      let the script wait for cleaning up after its children. (Fixes: #38).

  [ Mike Gabriel ]
  * New upstream version (3.1.1.5):
    - Fix x2gogetapps when rendering multi-section .desktop files. (Fixes: #43).
    - Remove redundant setting of loglevel in x2gogetapps.
    - Fix ,,Only extend LD_LIBRARY_PATH by Xrandr extension for KDE. Breaks
      GNOME.'' from last release.
    - Detect i18n name of Desktop folder via XDG_DESKTOP_DIR environment
      variable.
    - Put option of database call in x2gogetagent into parantheses.
  * /debian/control:
    + Depend on libfile-basedir-perl.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 Nov 2012 16:36:36 +0100

x2goserver (3.1.1.4-0~x2go1) unstable; urgency=low

  [ Jan Engelhardt ]
  * New upstream version (3.1.1.4):
    - Add -pie as linker flag. Fixes non-position-independent-executable
      (x2gosqlitewrapper.c). The executable is now completely position
      independent.

  [ Mike Gabriel ]
  * New upstream version (3.1.1.4):
    - Fix x2gosessionlimit script.
    - Wrap padsp around rdesktop calls if pulse is used as audio protocol.
    - Add option ,,-r sound:local'' to rdesktop calls if pulse is enabled.
    - Proxy X2Go client-side shares into remote desktop session.
    - For applications inside of a session, use NX's Xrandr library instead
      of Xorg's Xrandr library (partially fixes #28).
    - Make sure when launching desktop session through the Xsession mechanism
      that the LD_LIBRARY_PATH variable stays intact. (Fixes: #29).
    - Only extend LD_LIBRARY_PATH by Xrandr extension for KDE. Breaks GNOME.
  * /debian/control:
    + Maintainer change in package: X2Go Developers <x2go-dev@lists.berlios.de>.
    + Depend on nx-libs (>=3.5.0.15-0~) which has the Xrandr symlinks folder.
    + Add rdesktop and pulseaudio-utils to Suggests.
    + Priority: optional.

  [ Oleksandr Shneyder ]
  * New upstream version (3.1.1.4):
    - Remove "-nolisten tcp" option with XDMCP sessions.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 25 Sep 2012 13:15:11 +0200

x2goserver (3.1.1.3-0~x2go1) unstable; urgency=low

  [ Jan Engelhardt ]
  * New upstream version (3.1.1.3):
    - Do not block /etc/X11/Xresources with a directory (in Makefile).
    - Avoid using archaic tools during free port detection.
    - Avoid using ls in Makefiles.

  [ Mike Gabriel ]
  * New upstream version (3.1.1.3):
    - Fix broken X2Go client-side printing. Adapt x2goprint to new spool job
      directory.
  * /debian/x2goserver.init:
    + Orthography fix: X2Go instead of x2go.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 03 Jul 2012 10:00:32 +0200

x2goserver (3.1.1.2-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (3.1.1.2):
    - Place session.log into /tmp directory, make x2gocleansessions and
      x2golistsessions_root work even if home directories are mounted
      via NFSv4+Krb5 and not accessible by root.
    - Use -fPIE gcc (position independed executable) for building
      x2gosqlitewrapper.c (as suggested by Jan Engelhardt).
    - Clean up session.log tmp directory if empty.
    - Move all X2Go tmp folders (mount points) to /tmp/.x2go-<user>.
      Make sure all tmp folders get removed if not used any more. Drop
      symlink ~/media if no client-side folders are mounted into a
      session.
    - Fix crashes of x2gocleansessions due to faulty syslog calls.
    - Drop redundant hostname calls in x2gocleansessions.
    - Launch x2goagent with $NX_TEMP=/tmp, otherwise it will fail to
      create the X11 Unix domain sockets.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 29 Jun 2012 17:44:57 +0200

x2goserver (3.1.1.1-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (3.1.1.1):
    - Add/fix Python X2Go folder sharing/unsharing support from Windows.
    - Handle whitespace in folder names appropriately.
    - Allow .desktop file parameter Terminal=... to pass through to X2Go
      client-side.
    - Avoid error messages in x2gocmdexistmessage if cmdoutput file could
      not be found.
    - Provide nx-X11 libraries for applications launched via x2goruncommand.
    - Add feature X2GO_SERVERSIDE_DESKTOPCOMMANDS. Let client provide a generic
      desktop shell command (GNOME, UNITRY, KDE, etc.) which then gets
      translated into an executable command by x2goruncommand.
    - Detect desktop session mode to use for Ubuntu precise and later.
    - Complete UNITY/GNOME support for Ubuntu/Debian.
    - Use ,,-nolisten tcp'' option when evoking x2goagent from within
      x2gostartagent.
    - Export NX_ROOT=$HOME/.x2go in x2gostartagent. Makes the keyboard file
      in X2Go session cache directory.
    - Add support for client-side keyboard detection. Moved script
      x2gosetkeyboard from x2goserver-pyhoca into x2goserver package.
    - Make x2gosetkeyboard set the client-side keyboard on session start and
      resume if usekbd is set to True and the keyboard type is set ,,auto''.
    - Reset keyboard settings to pc104/us before setting client-side keyboard
      parameters.
    - For finished sessions purge all mount points that still hover in the
      DB's mounts table.
    - Make sure we run fusermount from within a directory that the user has read
      access to.
  * Depend on x2goagent (>= 2:3.5.0.12), make sure that x2goagent has the patch
    105_nxagent_export-remote-keyboard-config.full.patch included.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 21 Jun 2012 14:16:08 +0200

x2goserver (3.1.1.0-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (3.1.1.0):
    - Syslog warnings have to be named ,,warning'' not ,,warn''.
    - Add usage output to x2goserver-run-extensions.
    - Fix syslog output of x2goserver-run-exentions.
    - Fix x2goserver extension calls in x2goruncommand.
    - Add feature name ,,X2GO_PUBLISHED_APPLICATIONS''.
    - Add new command ,,x2gofeaturelist''. This command can be used
      by X2Go client applications to retrieve a list of server-side
      supported X2Go features.
    - Update date and version number in man pages.
    - Fix race condition between session.log of x2goagent and
      x2gocleansessions. The old situation was: in cases that x2goagent
      was not fast enough with appending the new session state to the
      session.log file, the x2gocleansessions script marked the session
      as suspended during the session resuming process.
    - Wait one second for x2goagent to write to session.log before updating
      the session state from 'S' to 'R' in the X2Go session database.
    - Add X2Go server script x2gogetstatus.
    - Add/enable debugging of x2gocleansessions.
    - Silence error messages if the agent's session.log file is not accessible
      (e.g. on NFSv4+Krb5-mounted homes).
    - Improve concurrent database access with session db backend SQLite.
  * Remove /etc/x2go/applications on package removal if it is a
    symlink, keep it, if it is a directory. Remove /etc/x2go
    (if empty after purge) on package purge.
  * Bump Debian packaging standards version to 3.9.3.
  * Use dh_link to symlink X11 directories into /etc/x2go.

  [ Oleksandr Shneyder ]
  * New upstream version (3.1.1.0):
    - Support for "published applications".
      Sponsored by Stefan Baur (http://www.baur-itcs.de).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 04 Apr 2012 11:41:02 +0200

x2goserver (3.1.0.1-0~x2go1) unstable; urgency=low

  * New upstream version (3.1.0.1):
    - Provide infrastructure for on-logout script calls.
    - Do only run session cleanup scripts from within
      x2goruncommand. Dropping them from x2goterminate-session.
    - Be tolerant against x2go_logout script failures.
    - Fix Makefile of x2goserver-fmbindings (thanks to Oliver Burger),
      improve uninstall code in Makefiles.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 Mar 2012 21:05:28 +0100

x2goserver (3.1.0.0-0~x2go1) unstable; urgency=low

  [ Oleksandr Shneyder ]
  * New upstream version (3.1.0.0):
    - remove ports used by X2Go session from database after session was finished
      if postgres backend is used.
    - before resuming X2Go session check if reserved ports still available
      in other case find new free ports, save them in database and send to
      x2goclient
    - run netstat -tl --all to find free ports for graphic, sound and sshfs
      tunnels in x2gostartagent and x2goresume-session

  [ Milan Knížek ]
  * New upstream version (3.1.0.0):
    - Fix removal of desktop link on x2goumount-session if local folder of a
      Windows client gets unmounted.
    - Remove redundant -S option from x2goagent start-up command line.
    - Use -f $XAUTHORITY with xauth calls.

  [ Sören Plönnigs ]
  * New upstream version (3.1.0.0):
    - Only run kdialog/zenity from x2goumount-session if either of them exists
      in the system's $PATH.

  [ Jan Engelhardt ]
  * New upstream version (3.1.0.0):
    - Use /cgi-bin/man/ path in web'ified man pages.
    - Use ,,${MAKE}'' instead of ,,make'' in Makefile.

  [ Mike Gabriel ]
  * New upstream version (3.1.0.0):
    - Provide new package x2goserver-fmbindings. Derived from a package draft
      provided by Milan Knížek (Thanks!).
    - Do not create desktop icons for rootless (i.e. non-desktop) sessions.
    - Allow other $XAUTHORITY values than the default ($HOME/.Xauthority).
    - For x2gomountdirs / x2goumount-session allow other TMP paths than
      /tmp. Use ENV{'TMP'} instead, unless it is empty. Then use /tmp.
    - Place quotations where appropriate into shell scripts.
    - Fix call to x2goterminate-desktopsharing in x2goruncommand.
    - Tolerate user names containing "-" characters (SQLite DB backend).
    - Make sure x2gocleansessions close _all_ open file handles after
      forking as a daemon.
    - Add copyright header for x2gofm script.
    - Add man page for x2gogetservers script.
    - Add man page for x2gofm wrapper script.
    - Update date and release version in man pages.
  * Let x2goserver package suggest x2goserver-fmbindings.
  * Add package upgrade warning for installation using PostgreSQL. The
    upgrade warning refers to README.upgrade-pgsql-database.
  * x2goserver-fmbindings does not have to depend on ${shlibs:Depends}.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 22 Feb 2012 14:37:34 +0100

x2goserver (3.0.99.10-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (3.0.99.10):
    - Replace all string ,,X2go.' with ,,X2Go''.
    - Use $(MAKE) -C <subdir> calls to run Makefiles in subfolders.
    - Disable rastering in >= KDE4.8 and Qt4.8.
  * x2goserver.postinst script leaves the DB file alone if
    a DB backend different from SQLite is configured. Thanks
    to Jochen Schulz for bringing this into awareness.

  [ Jochen Schulz ]
  * New upstream version (3.0.99.10):
    - Escape DB user names in x2godbadmin.
    - Export KRB5CCNAME in x2goruncommand, make Kerberos ticket cache
      known inside X2Go sessions.

  [ Moritz Strübe ]
  * New upstream version (3.0.99.10):
    - Check whether the associated TCP/IP port is available before
      assigning a display number.
  * Add net-tools package as dependency.

  [ John Williams ]
  * New upstream version (3.0.99.10):
    - Fix xserver-xsession/Makefile: add missing $(DESTDIR) expressions.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 01 Feb 2012 13:40:31 +0100

x2goserver (3.0.99.9-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (3.0.99.9):
    - Fix for install stanzas in several Makefiles.
    - Give X2Go session windows a human readable title.
    - Desktop sharing: fix username of user who requests desktop sharing.
    - Fix x2gobasepath for Perl versions < 5.10.x.
    - Fix x2godbadmin for Perl versions < 5.10.x.
    - Remove x2gosetkeyboard from x2goserver-extensions package.
    - Re-add x2gosetkeyboard via new subproject x2goserver-pyhoca.
    - Call x2golistmounts with user privileges instead of using db_getmounts
      in x2goprint script.
    - Avoid potentially empty LD_LIBRARY_PATH path in x2goruncommand.
    - Install x2gogetservers to $PREFIX/bin instead of $PREFIX/lib/x2go.
  * Add psmisc package as dependency.
  * Add new binary package to x2goserver source: x2goserver-pyhoca.
  * x2goserver package suggests x2goserver-pyhoca.
  * Fix directory permissions of $HOME directory of x2goprint system user.

  [ Hayawardh Vijayakumar ]
  * New upstream version (3.0.99.9):
    - Fix potentially empty LD_LIBRARY_PATH in x2gostartagent.

  [ Oleksandr Shneyder ]
  * New upstream version (3.0.99.9):
    - Add Xinerama support.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 18 Jan 2012 14:39:57 +0100

x2goserver (3.0.99.8-0~x2go1) unstable; urgency=low

  * New upstream version (3.0.99.8):
    - Fix feature list in x2goserver-extensions.
    - Add Xsession.d processing to X2Go (as x2goserver-xsession add-on
      package).
    - Ignore failures of x2gofeature calls, fixes x2goserver being
      installed without x2goserver-extensions.
    - Set X2Go log level to info when running Xsession parts.
  * Make sure that package scripts (postinst, postrm, etc.) exit with
    exit code 0 at the end of the script.
  * Fix non-local printing with X2Go: x2goprint user on X2Go server host
    needs a shell to accept incoming print jobs from the central CUPS
    server(s).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 20 Nov 2011 18:54:26 +0100

x2goserver (3.0.99.7-0~x2go1) unstable; urgency=low

  * New upstream version (3.0.99.7):
    - Move x2golistmounts script from x2goserver-extensions to x2goserver
      core.
    - X2Go server extensions: fix regular expression when scanning modality dirs.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 26 Oct 2011 13:04:54 +0200

x2goserver (3.0.99.6-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (3.0.99.6):
    - Rename x2goumount_session calls to x2goumount-session calls in
      x2goserver internal scripts.
    - Re-arranged script files into /bin and /lib directories.
    - Tab'ified all script files, proper indentation, coding style.
    - Fix for x2gomountdirs, now also usernames containing blanks can use
      local folder sharing.
    - Provide C wrapper for setgid call of x2gosqlitewrapper.pl. Remove
      dependency from perlsuid.
    - Store SQLite db in /var/lib/x2go to comply to latest FHS.
    - Add x2gobasepath script to reliably detect x2goserver install path.
    - Add man page for x2gobasepath.
    - Remove Debianisms from INSTALL howto.
    - Add chromium-browser as possible WWWBROWSER to x2goruncommand.
    - Add lxterminal as possible TERMINAL to x2goruncommand.
    - Add LibreOffice.org as possible OFFICE application to x2goruncommand.
    - Fix for TERMINAL command execution if konsole (KDE4) is installed on the
      server.
    - Silence x2golistsessions on missing session.log files.
    - Add x2goprint user creation information to INSTALL howto.
    - Add sanity checks to x2goprint, script can only be run as root.
    - Fix x2goprint, add syslogging, add inline comments.
    - Add script lib/x2gologlevel: introduce [log] section in x2goserver.conf
      with only parameter ,,loglevel''.
    - Initialize Syslog module for all Perl scripts in x2goserver package.
    - Add debugging support for almost all DB functions in x2godbwrapper.pm, fix
      for Syslog module initialization in all Perl scripts.
    - Add info loglevel messages for all scripts in bin dir.
    - Add notice messages for start, suspend, resume, terminate, mountdirs
      actions.
    - Fix for x2godbwrapper.pm: we can't open/close the syslog socket in a
      package. This has to be done by the scripts that use x2godbwrapper.pm.
    - Add info loglevel messages for x2goserver-extensions scripts.
    - Use usermapping for SSHFS mount points.
    - Cleanup of man page area, thanks to Ivan Kabaivanov for pointing that out.
    - Rename example user and group for session limits in x2goserver.conf so that
      people do not get the idea to put users in x2gouser group.
    - Add real error message if client fails to resume/suspend/terminate
      a session.
    - Present an ISO-8601 compliant datetime string in session lists
      rendered by x2golistsessions (and similar) command(s).
    - Silence knotify SIGHUP signals in case that no knotify is running in the
      X2Go session.
    - Fix x2goumount-session for individual paths (folder type: disk),
      ToDo: folder type CDROM and removable media.
    - Let db_insertmount create a proper return value (success vs. failed).
    - If resuming or suspending of a session fails, mark the session as
      finished (because the session's x2goagent is very probably dead).
      Do not write an error to stderr if x2goterminate-session fails (i.e. if
      x2goagent is dead).
    - Identified x2goumount script (x2goserver-compat) as a necessary
      component of x2gognomebindings and moved it there (with new name:
      x2goumount-session-gnome).
    - Add x2golistmounts script to X2Go server extensions.
    - Add x2gofeature script and x2gofeature.d subscripts.
    - Add x2gofeature man page.
    - Move x2goversion script into x2goserver core.
    - Add debug output around shadow session startup (in x2gostartagent).
    - Pass extra argument $USER to client-mode x2godesktopsharing, requires
      x2godesktopsharing (>=3.0.1.3) for it to work.
    - Clean session dir ~/.x2go/C-<session_id> after session terminates, if not
      running in debug mode.
    - Change of Desktop icons for shared folders. This change is needed for
      parallel installation of x2gognomebindings and x2golxdebindings.
    - Terminate x2godesktopsharing cleanly for current session on
      x2goterminate-session or when x2goruncommand is about to exit.
    - Resume/suspend x2godesktopsharing during x2goresume-session,
      x2gosuspend-session.
    - Provide pluggable X2Go extension system for main X2Go server
      functions.
    - Provide man page for x2goserver-run-extensions that explains the new plug-in
      mechanism of x2goserver.



  * React to Debian bug #627990, prefer man2html-base over man2html.
  * Do not depend on package perlsuid anymore.
  * Use source format 3.0 (native).
  * Fix of Debian clean rules, fix of Makefile's clean rules.
  * Breaks/replaces packages: x2goserver-one, x2goserver-home, x2goprint
    (instead ofB Conflicts).
  * Tab'ified postinst/postrm scripts.
  * Install internal x2goserver scripts to /usr/lib/x2go, make sure scripts
    in /usr/bin find these scripts.
  * x2goserver.postinst: fix home path updates if new home path already exists
  * Provide separate package x2goserver-printing: x2goprint script + man page +
    adduser x2goprint.

  [ Moritz Strübe ]
  * Improvements for new upstream version (3.0.99.6):
    - Make digits at the beginning of X2Go server extension scripts a must, not a
      suggestion.

  [ Ivan Kabaivanov ]
  * Improvements for new upstream version (3.0.99.6):
    - Many Makefile fixes around man page installation.
    - Proof-reading code, fixing typos.

  [ Martin Oehler ]
  * Fixes for new upstream version (3.0.99.6):
    - Removes old debug code fragment, fixes x2golistsessions parsing.

  [ Oleksandr Shneyder ]
  * Improvements for new upstream version (3.0.99.6):
    - Remove session directory after 10 sec delay to let x2goclient check
      cmdoutput file.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 12 Oct 2011 11:44:59 +0200

x2goserver (3.0.99.5-0~x2go2) unstable; urgency=low

  * splitting up x2goserver package into x2goserver and x2goserver-extensions
    (x2goserver provides full functionality to legacy x2goclient,
    x2goserver-extensions is a container/namespace for add-on tools/scripts
    needed for other client implementations like Python X2Go.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 31 May 2011 10:57:15 +0200

x2goserver (3.0.99.5-0~x2go1) unstable; urgency=low

  * adds x2goprint to x2goserver package
  * implements X2Go MIME Box feature
  * fixes installation conflicts with x2goserver-one, x2goserver-home
    and x2goprint
  * change of version numbering scheme
  * re-organization of folder structure
  * adds several man pages
  * adds x2goversion script

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 03 May 2011 10:42:02 +0200

x2goserver (3.0.99-5) unstable; urgency=low

  * fixed db_getserver

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Wed, 30 Mar 2011 18:16:48 +0200

x2goserver (3.0.99-4) unstable; urgency=low

  * support for ssl connect (postgresql)

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Wed, 16 Mar 2011 11:16:21 +0100

x2goserver (3.0.99-3) unstable; urgency=low

  * fixed wrong path to dbfile, thanks Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Mon, 31 Jan 2011 18:38:13 +0100

x2goserver (3.0.99-2) unstable; urgency=low

  * menu=0 option in x2gostartagent, to avoid crash in single app mode

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 27 Jan 2011 18:38:17 +0100

x2goserver (3.0.99-1) unstable; urgency=low

  * not use sudo with postgresql, wrappers in perl instead of bash
  * use unprivileged user x2gouser with sqlite

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Tue, 25 Jan 2011 17:09:01 +0100

x2goserver (3.0.1-9) unstable; urgency=low

  * changes in x2gomountdir to use with plasmoid

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Mon, 07 Jun 2010 18:51:50 +0200

x2goserver (3.0.1-8) unstable; urgency=low

  * changes in db warppers - do not show shadow sessions in listsessions and listsessions_all

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Tue, 01 Jun 2010 19:08:53 +0200

x2goserver (3.0.1-7) unstable; urgency=low

  * support for fs encodings in x2gomountdirs

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 06 May 2010 18:34:42 +0200

x2goserver (3.0.1-6) unstable; urgency=low

  * fixed access mode for key in x2gomountdirs
  * supoort for session sharing

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Wed, 10 Feb 2010 10:52:34 +0100

x2goserver (3.0.1-5) unstable; urgency=high

  * force mcookie auth for x2goagent

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Mon, 14 Dec 2009 20:58:42 +0100

x2goserver (3.0.1-4) unstable; urgency=low

  * Fix x2gosessionslimit

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 02 Dec 2009 22:14:27 +0100

x2goserver (3.0.1-3) unstable; urgency=low

  * libconfig-simple-perl in dependency section

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 02 Dec 2009 22:00:56 +0100

x2goserver (3.0.1-2) unstable; urgency=low

  * setting dpi for x2goagent in x2gostartagent
  * session limits for users and groups in /etc/x2go/x2goserver.conf
  * ssh option ServerAliveInterval=300 in x2gomountdirs

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Mon, 02 Nov 2009 16:30:15 +0100

x2goserver (3.0.1-1) unstable; urgency=low

  * Support for sqlite
  * fixed problem with HOSTNAME variable in perl scripts when users shell is zsh. Thank Ralf Schulze

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 16 Jul 2009 10:56:23 +0200

x2goserver (3.0.0-2) unstable; urgency=low

  * Support for rdesktop sessions
  * Transform xorg rules to evdev in x2goserver
  * Changes in keyboard settings

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Fri, 10 Jul 2009 08:26:41 +0200

x2goserver (3.0.0-1) unstable; urgency=low

  * Printing support (need x2goprint and cups-x2go)
  * add group x2gousers and configure sudo in preinstall script

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Wed, 04 Mar 2009 16:49:59 +0100

x2goserver (2.0.1-19) unstable; urgency=low

  * fixed installinit script break if x2goserver not running

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Fri, 30 Jan 2009 08:38:03 +0100

x2goserver (2.0.1-18) unstable; urgency=low

  * fixed preinst script to work with ubuntu

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 29 Jan 2009 10:09:25 +0100

x2goserver (2.0.1-17) unstable; urgency=low

  * changes in database (start x2gocreatebase.sh):
  *           session_id - varchar(500)
  *           column "fsport" for fs tunnel
  * changes in x2gostartagent: add fsport to session info
  * changes in x2gopgwrapper_(local/net): fsport in listsessions
  * changes in x2gomountdirs: mount using reverse ssh tun

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 15 Jan 2009 17:25:54 +0100

x2goserver (2.0.1-16) unstable; urgency=low

  * added x2gosuspend-agent to suspend session on clicking "close" button on x2goagent

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Mon, 03 Nov 2008 16:11:56 +0100

x2goserver (2.0.1-15) unstable; urgency=low

  * Fixed: run command with arguments
  * Error message if command not exists

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 09 Oct 2008 15:42:29 +0000

x2goserver (2.0.1-14) unstable; urgency=low

  * added: list sessions from all servers

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Wed, 08 Oct 2008 10:16:18 +0200

x2goserver (2.0.1-13) unstable; urgency=low

  * changes to enable "rootless" mode

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 25 Sep 2008 17:33:18 +0200

x2goserver (2.0.1-12) unstable; urgency=low

  * changes in x2gomount/umount to use with gnome

 -- Oleksandr Shneyder <admin@power.obviously-nice.de>  Fri, 29 Aug 2008 11:18:43 +0200

x2goserver (2.0.1-11) unstable; urgency=low

  * now x2gomountdirs can mount dirs on client hosts with ssh ports other then 22

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Fri, 21 Sep 2007 12:12:34 +0200

x2goserver (2.0.1-10) unstable; urgency=low

  * x2gomountdirs fixed mounting directories with " " in path
  * changed /bin/sh to /bin/bash in scripts
  * x2gostartgent append color depth to session's name

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 13 Sep 2007 14:01:17 +0200

x2goserver (2.0.1-9) unstable; urgency=low

  * esd support

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Tue,  7 Aug 2007 15:31:51 +0200

x2goserver (2.0.1-8) unstable; urgency=low

  * changed architecture to "all"

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu, 28 Jun 2007 10:11:10 +0200

x2goserver (2.0.1-7) unstable; urgency=low

  * support for amd64

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Tue, 26 Jun 2007 16:32:53 +0200

x2goserver (2.0.1-6) unstable; urgency=low

  * close std file descriptors in daemon

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Wed, 25 Apr 2007 10:40:22 +0200

x2goserver (2.0.1-5) unstable; urgency=low

  * fix listsusp in wrapper

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Tue, 20 Mar 2007 12:06:00 +0100

x2goserver (2.0.1-4) unstable; urgency=low

  * fix getdisplays and getports in wrapper

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Tue, 20 Mar 2007 12:06:54 +0100

x2goserver (2.0.1-3) unstable; urgency=low

  * listallrunning and listsusp in postgress wrapper
  * changes in database template, unique display and ports

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Mon, 19 Mar 2007 15:13:32 +0100

x2goserver (2.0.1-2) unstable; urgency=low

  * get server name with `hostname` in cleansessions

 -- root <root@x2gotest1.x2go.obviously-nice.de>  Wed, 28 Feb 2007 09:49:48 +0100

x2goserver (2.0.1-1) unstable; urgency=low

  * Initial release

 -- Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>  Thu,  8 Feb 2007 15:21:30 +0100

